Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592047 - [abrt] crash in kicad-2010.03.14-3.rev2463.fc12: wxWindow::DoSetSize: Process /usr/bin/pcbnew was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in kicad-2010.03.14-3.rev2463.fc12: wxWindow::DoSetSize: Process...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kicad
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alain Portal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:200734b605c7047cc2b08511121...
: 625768 633064 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 18:29 UTC by Bockeman
Modified: 2010-12-03 16:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 633064 (view as bug list)
Environment:
Last Closed: 2010-12-03 14:44:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-13 18:29 UTC, Bockeman
no flags Details
gdb backtrace (deleted)
2010-06-13 08:56 UTC, Bockeman
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 29833 None None None Never

Description Bockeman 2010-05-13 18:29:12 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/pcbnew dvb_s2.brd
component: kicad
crash_function: wxWindow::DoSetSize
executable: /usr/bin/pcbnew
global_uuid: 200734b605c7047cc2b0851112167e364ddf0a64
kernel: 2.6.32.11-99.fc12.x86_64
package: kicad-2010.03.14-3.rev2463.fc12
rating: 4
reason: Process /usr/bin/pcbnew was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
This has worked in the past.  I repositioned some components, added more tracks, and so on, as part of normal usage.  Now I cannot get a 3D display.  It crashes every time.

BTW this is a fantastic tool and is much more intuitive than pricey professional tools.  I would be happy to help in the dev/debug process.

How to reproduce
-----
1.Press the 3D display button.
2.
3.

Comment 1 Bockeman 2010-05-13 18:29:15 UTC
Created attachment 413854 [details]
File: backtrace

Comment 2 Alain Portal 2010-05-17 07:28:48 UTC
Could you please update kicad with the latest release in updates-testing (kicad-2010.04.06-8) which has many bugs fixes and tell me if this bug is still present?

yum update kicad --enablerepo=updates-testing

In several days, there will be another release (kicad-2010.05.05) with some others bugs fixes.

Comment 3 Bockeman 2010-05-17 18:13:50 UTC
Alain,

Thanks for picking up this bug.

I downloaded and updated to kicad-2010.04.06-8.rev2515.fc12.x86_64.rpm.

I still get exactly the same problem: the application crashes immediately when I press the 3D Display menu button.

Please could you suggest other things I could try.

Thanks in advance,
Bockeman.

Comment 4 Alain Portal 2010-05-18 08:29:44 UTC
I submited a new package last night with the latest kicad stable revision.
This release is not yet available in testing (this need 24/48H) but you can download the packages here:
- devel: http://koji.fedoraproject.org/koji/taskinfo?taskID=2193225
- F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2193231
- F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2193233
- F-11: http://koji.fedoraproject.org/koji/taskinfo?taskID=2193235
- EL-6: http://koji.fedoraproject.org/koji/taskinfo?taskID=2193239

Don't forget to install the debuginfo package.
If the bug is still present, please join the new abrt backtrace.
I can't reproduce the bug on the machine I'm working now but may be I could on another (I'll see tonight).

Comment 5 Alain Portal 2010-05-18 17:59:18 UTC
Packages are already available in updates-testing.

On my home laptop, I can reproduce the bug, unfortunately, I can't succeed to get a report in abrt, I don't no why.
The only trace I can get is in dmesg:

May 18 19:29:18 localhost kernel: [drm:r100_cs_track_check] *ERROR* [drm] No buffer for z buffer !
May 18 19:29:18 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Invalid command stream !

Comment 6 Bockeman 2010-05-18 19:51:10 UTC
Alain,

It sounds like progress if you are able to reproduce the bug.  I can also reproduce it on my laptop (i686) as well as the originally reported host (x86-64).  The crash is not data dependent (it still crashes when I wind back to old designs).  I suspect it has something to do with dependent graphics packages that might have been updated recently (I keep my machines fully up to date with the latest releases).

I installed both kicad and kicad-debuginfo using
rpm -ihv /home/bockeman/Download/kicad-2010.05.09-1.fc12.x86_64.rpm
rpm -ihv --force /home/bockeman/Download/kicad-2010.05.09-1.fc12.x86_64.rpm

Notice I had to use the --force to overcome the messages like:
file /usr/bin/cvpcb from install of kicad-2010.05.09-1.fc12.x86_64 conflicts with file from package kicad-2010.04.06-8.rev2515.fc12.x86_64

When I run kicad, the help | about reports
Build: (2010-00-09 BZR 23xx)-stable
So I cannot really tell if I am actually running kicad-2010.05.09.  However, the templates directory and others got overwritten, so I guess I am running this latest version.
% ls -l /usr/bin/kicad
-rwxr-xr-x 1 root root 208864 2010-05-18 00:09 /usr/bin/kicad*
% ls -l /usr/bin/pcbnew
-rwxr-xr-x 1 root root 2399192 2010-05-18 00:09 /usr/bin/pcbnew


I get the same crash behaviour when I press the 3D Display menu button.

/var/log/messages contains:
May 18 20:17:50 harbourside kernel: pcbnew[10025]: segfault at 1d8 ip 00000030a27faa8e sp 00007fffb6df7340 error 4 in libwx_gtk2u_core-2.8.so.0.7.0[30a2600000+3a3000]
May 18 20:17:50 harbourside abrt[10027]: saved core dump of pid 10025 (/usr/bin/pcbnew) to /var/cache/abrt/ccpp-1274210270-10025.new/coredump (32759808 bytes)
May 18 20:17:50 harbourside abrtd: Directory 'ccpp-1274210270-10025' creation detected
May 18 20:17:50 harbourside abrtd: New crash /var/cache/abrt/ccpp-1274210270-10025, processing
May 18 20:17:50 harbourside abrtd: RunApp('/var/cache/abrt/ccpp-1274210270-10025','test x"`cat component`" = x"xorg-x11-server-Xorg" && cp /var/log/Xorg.0.log .')

ABRT indicates:
Package:    	kicad-2010.04.06-8.rev2515.fc12
Latest Crash:	Tue 18 May 2010 20:17:50 
Command:    	/usr/bin/pcbnew dvb_s2.brd
Reason:     	Process /usr/bin/pcbnew was killed by signal 11 (SIGSEGV)
Comment:    	None
Bug Reports:	

Actually, this is a bit disturbing, because the version does not look right.


Can I provide anything else to help?
The coredump file is 32MB, so too big for posting/emailing.

Is there anything else you could suggest?

Bockeman

Comment 7 Alain Portal 2010-05-18 20:51:32 UTC
(In reply to comment #6)
> Alain,
> 
> It sounds like progress if you are able to reproduce the bug.  I can also
> reproduce it on my laptop (i686) as well as the originally reported host
> (x86-64).  The crash is not data dependent (it still crashes when I wind back
> to old designs).  I suspect it has something to do with dependent graphics
> packages that might have been updated recently (I keep my machines fully up to
> date with the latest releases).

I think so as I can't reproduce the bug on my work PC, x86_64, under Fedora fully updated.

> I installed both kicad and kicad-debuginfo using
> rpm -ihv /home/bockeman/Download/kicad-2010.05.09-1.fc12.x86_64.rpm
> rpm -ihv --force /home/bockeman/Download/kicad-2010.05.09-1.fc12.x86_64.rpm
> 
> Notice I had to use the --force to overcome the messages like:
> file /usr/bin/cvpcb from install of kicad-2010.05.09-1.fc12.x86_64 conflicts
> with file from package kicad-2010.04.06-8.rev2515.fc12.x86_64

Use "rpm -Uvh", not "rpm -ivh"; update, not install

> When I run kicad, the help | about reports
> Build: (2010-00-09 BZR 23xx)-stable

This is an upstream mistake, I can confirm you really installed the latest package.

> So I cannot really tell if I am actually running kicad-2010.05.09.  However,
> the templates directory and others got overwritten, so I guess I am running
> this latest version.
> % ls -l /usr/bin/kicad
> -rwxr-xr-x 1 root root 208864 2010-05-18 00:09 /usr/bin/kicad*
> % ls -l /usr/bin/pcbnew
> -rwxr-xr-x 1 root root 2399192 2010-05-18 00:09 /usr/bin/pcbnew
> 
> 
> I get the same crash behaviour when I press the 3D Display menu button.
> 
> /var/log/messages contains:
> May 18 20:17:50 harbourside kernel: pcbnew[10025]: segfault at 1d8 ip
> 00000030a27faa8e sp 00007fffb6df7340 error 4 in
> libwx_gtk2u_core-2.8.so.0.7.0[30a2600000+3a3000]
> May 18 20:17:50 harbourside abrt[10027]: saved core dump of pid 10025
> (/usr/bin/pcbnew) to /var/cache/abrt/ccpp-1274210270-10025.new/coredump
> (32759808 bytes)
> May 18 20:17:50 harbourside abrtd: Directory 'ccpp-1274210270-10025' creation
> detected
> May 18 20:17:50 harbourside abrtd: New crash
> /var/cache/abrt/ccpp-1274210270-10025, processing
> May 18 20:17:50 harbourside abrtd:
> RunApp('/var/cache/abrt/ccpp-1274210270-10025','test x"`cat component`" =
> x"xorg-x11-server-Xorg" && cp /var/log/Xorg.0.log .')
> 
> ABRT indicates:
> Package:     kicad-2010.04.06-8.rev2515.fc12
> Latest Crash: Tue 18 May 2010 20:17:50 
> Command:     /usr/bin/pcbnew dvb_s2.brd
> Reason:      Process /usr/bin/pcbnew was killed by signal 11 (SIGSEGV)
> Comment:     None
> Bug Reports: 
> 
> Actually, this is a bit disturbing, because the version does not look right.

Are you sure you get the right report?
This is really strange...

> Can I provide anything else to help?
> The coredump file is 32MB, so too big for posting/emailing.
> 
> Is there anything else you could suggest?

Not really :-(

Try to run pcbnew in a terminal, go to the 3Dvisu menu, even without loading a board.
I get the crash with this message:
[alain@portable ~]$ pcbnew 
drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.

Try to get the "right" report from abrt, as I can get abrt working :-(
gdb is useless...
I'll try to investigate with valgrind, that I have never used.

Comment 8 Bockeman 2010-05-18 21:40:21 UTC
Alain,

Agreed, gdb does not help much when the bug is in a graphics package.  The clue I am looking at is in the original message:
crash_function: wxWindow::DoSetSize

I have used valgrind in the past, but it takes ages to sift through the wood from the trees.

I ran another experiment. Normally I run my linux sessions from a multi-screen thin client (actually a Windows machine) using VNC.  When I tried the 3D view directly on the host, it worked, flawlessly!  You may be able to reproduce the fault if you run pcbnew under a VNC session.

So I have a workaround, but it is not very convenient.  Also, it does indicate that there is still an underlying bug that could hit other users (and give kicad a bad name).

I did as you asked, and ran pcbnew without loading any board.  The 3D crash report is definitely the right one because it has today's date.
Package:    	kicad-2010.04.06-8.rev2515.fc12
Latest Crash:	Tue 18 May 2010 22:33:01 
Command:    	pcbnew
Reason:     	Process /usr/bin/pcbnew was killed by signal 11 (SIGSEGV)
Comment:    	None
Bug Reports:	


Out of interest, is there any way to export the 3D information?  I would like to pass the information to a mechanical designer.  

Thanks for your efforts so far,
Bockeman

Comment 9 Alain Portal 2010-05-19 08:52:05 UTC
(In reply to comment #8)
> Alain,
> 
> Agreed, gdb does not help much when the bug is in a graphics package.

This isn't because this is a graphics package but because I got a "no stack" message in gdb.

> The clue
> I am looking at is in the original message:
> crash_function: wxWindow::DoSetSize

Unfortunately, this don't help me (for the moment) as this is a wxGTK function and kicad don't use it "as is"

> I have used valgrind in the past, but it takes ages to sift through the wood
> from the trees.
> 
> I ran another experiment. Normally I run my linux sessions from a multi-screen
> thin client (actually a Windows machine) using VNC.  When I tried the 3D view
> directly on the host, it worked, flawlessly!  You may be able to reproduce the
> fault if you run pcbnew under a VNC session.

I never used VNC.
I'm not sure to understand...
When you work directly on your Linux machine, there is no bug.
When you work on this machine as host using VNC on a Windows machine, you get the bug?
Did you try to install and use the kicad Windows version on your Windows machine?
If not, could you make this try?

> So I have a workaround, but it is not very convenient.  Also, it does indicate
> that there is still an underlying bug that could hit other users (and give
> kicad a bad name).
> 
> I did as you asked, and ran pcbnew without loading any board.

What I wanted was: run pcbnew in a terminal, make the crash and give the message displayed in the terminal.

Perhaps you could make a try in gdb (pcbnew) to see if you get the same message as me in gdb: "no stack".

Be care to have installed the right debuginfo package (right release)

> The 3D crash
> report is definitely the right one because it has today's date.
> Package:     kicad-2010.04.06-8.rev2515.fc12

That is really, really strange.

> Latest Crash: Tue 18 May 2010 22:33:01 
> Command:     pcbnew
> Reason:      Process /usr/bin/pcbnew was killed by signal 11 (SIGSEGV)
> Comment:     None
> Bug Reports: 
> 
> 
> Out of interest, is there any way to export the 3D information?  I would like
> to pass the information to a mechanical designer.  

I don't know, probably not.

Tonight I made some others tries:
- downgrade wxGTK to 2.8.10 and kicad-2010-03-14 -> crash
- kicad-2009-02-16 and wxGTK-2.8.10/wxGTK-2.8.11 -> crash

I don't know what to try :-(

Comment 10 Bockeman 2010-05-20 19:06:30 UTC
Alain,

Running pcbnew from a terminal reveals nothing new:
% pcbnew
Segmentation fault (core dumped)

Running under gdb reveals a bit more information, though clearly I do not have all the debuginfos installed (and without your guidance, I do not relish having to locate and install all this lot).
% gdb pcbnew
GNU gdb (GDB) Fedora (7.0.1-45.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/pcbnew...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/pcbnew 
warning: "/usr/lib/debug/usr/lib64/kicad/libbitmaps.so.debug": separate debug info file has no debug info
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffeb2f6710 (LWP 3383)]

Program received signal SIGSEGV, Segmentation fault.
0x00000030a27faa8e in wxWindow::DoSetSize(int, int, int, int, int) () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
Missing separate debuginfos, use: debuginfo-install GConf2-2.28.0-4.fc12.2.x86_64 ORBit2-2.14.17-3.fc12.x86_64 PackageKit-gtk-module-0.5.7-2.fc12.x86_64 SDL-1.2.13-11.fc12.x86_64 atk-1.28.0-1.fc12.x86_64 bzip2-libs-1.0.5-6.fc12.x86_64 cairo-1.8.8-3.fc12.x86_64 dbus-glib-0.82-2.fc12.x86_64 dbus-libs-1.2.16-9.fc12.x86_64 expat-2.0.1-8.fc12.x86_64 flac-1.2.1-6.fc12.x86_64 fontconfig-2.8.0-1.fc12.x86_64 freetype-2.3.11-3.fc12.x86_64 gamin-0.1.10-5.fc12.x86_64 glib2-2.22.5-1.fc12.x86_64 glibc-2.11.1-6.x86_64 gtk2-2.18.9-3.fc12.x86_64 gtk2-engines-2.18.4-4.fc12.x86_64 gtk2-immodule-xim-2.18.9-3.fc12.x86_64 gvfs-1.4.3-7.fc12.x86_64 ibus-gtk-1.3.3-1.fc12.x86_64 ibus-libs-1.3.3-1.fc12.x86_64 kicad-2010.04.06-8.rev2515.fc12.x86_64 libICE-1.0.6-1.fc12.x86_64 libSM-1.1.0-7.fc12.x86_64 libX11-1.3-1.fc12.x86_64 libXau-1.0.5-1.fc12.x86_64 libXcomposite-0.4.1-2.fc12.x86_64 libXcursor-1.1.10-1.fc12.x86_64 libXdamage-1.1.2-1.fc12.x86_64 libXext-1.1-2.fc12.x86_64 libXfixes-4.0.4-1.fc12.x86_64 libXi-1.3-2.fc12.x86_64 libXinerama-1.1-1.fc12.x86_64 libXrandr-1.3.0-5.fc12.x86_64 libXrender-0.9.5-1.fc12.x86_64 libXtst-1.0.99.2-3.fc12.x86_64 libXxf86vm-1.1.0-1.fc12.x86_64 libasyncns-0.8-1.fc12.x86_64 libcanberra-0.22-1.fc12.x86_64 libcanberra-gtk2-0.22-1.fc12.x86_64 libcap-ng-0.6.2-3.fc12.x86_64 libcroco-0.6.2-3.fc12.x86_64 libgcc-4.4.3-4.fc12.x86_64 libgsf-1.14.15-4.fc12.x86_64 libjpeg-6b-46.fc12.x86_64 libogg-1.1.4-2.fc12.x86_64 libpng-1.2.43-1.fc12.x86_64 librsvg2-2.26.0-3.fc12.x86_64 libselinux-2.0.90-5.fc12.x86_64 libsndfile-1.0.20-3.fc12.x86_64 libstdc++-4.4.3-4.fc12.x86_64 libtdb-1.2.1-1.fc12.x86_64 libtiff-3.9.2-3.fc12.x86_64 libtool-ltdl-2.2.6-18.fc12.x86_64 libudev-145-20.fc12.x86_64 libuuid-2.16.2-9.fc12.x86_64 libvorbis-1.2.3-4.fc12.x86_64 libxcb-1.5-1.fc12.x86_64 libxml2-2.7.6-2.fc12.x86_64 mesa-libGLU-7.7-4.fc12.x86_64 pango-1.26.2-1.fc12.x86_64 pixman-0.16.6-1.fc12.x86_64 pulseaudio-libs-0.9.21-5.fc12.x86_64 tcp_wrappers-libs-7.6-56.fc12.x86_64 wxBase-2.8.11-1.fc12.x86_64 wxGTK-2.8.11-1.fc12.x86_64 wxGTK-gl-2.8.11-1.fc12.x86_64 zlib-1.2.3-23.fc12.x86_64
(gdb) bt
#0  0x00000030a27faa8e in wxWindow::DoSetSize(int, int, int, int, int) () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#1  0x00000030a28c74e6 in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#2  0x00000030a28c745c in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#3  0x00000030a28c74e6 in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#4  0x00000030a28c745c in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#5  0x00000030a28c74e6 in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#6  0x00000030a28c74e6 in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#7  0x00000030a28d6050 in wxWindowBase::Layout() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#8  0x000000309a229f78 in wxAuiManager::DoFrameLayout() () from /usr/lib64/libwx_gtk2u_aui-2.8.so.0
#9  0x000000309a2312b4 in wxAuiManager::Update() () from /usr/lib64/libwx_gtk2u_aui-2.8.so.0
#10 0x0000003c1001b50e in WinEDA3D_DrawFrame::WinEDA3D_DrawFrame (this=0xfc6c70, parent=0xc0df00, 
    title=<value optimized out>, style=<value optimized out>) at /usr/src/debug/kicad-2010.05.09/3d-viewer/3d_frame.cpp:104
#11 0x000000000045c92d in WinEDA_PcbFrame::Show3D_Frame(wxCommandEvent&) ()
#12 0x00000030a06e7ac0 in wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) ()
   from /usr/lib64/libwx_baseu-2.8.so.0
#13 0x00000030a06e86c4 in wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) () from /usr/lib64/libwx_baseu-2.8.so.0
#14 0x00000030a06e87a7 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib64/libwx_baseu-2.8.so.0
#15 0x00000030a06e8730 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib64/libwx_baseu-2.8.so.0
#16 0x00000030a284c116 in ?? () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#17 0x0000003096a0ba8e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#18 0x0000003096a20ec3 in ?? () from /lib64/libgobject-2.0.so.0
#19 0x0000003096a2225f in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#20 0x0000003096a227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#21 0x000000309b87d4fe in gtk_widget_activate () from /usr/lib64/libgtk-x11-2.0.so.0
#22 0x000000309b7647bd in gtk_menu_shell_activate_item () from /usr/lib64/libgtk-x11-2.0.so.0
#23 0x000000309b76646a in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#24 0x000000309b753ae3 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#25 0x0000003096a0ba8e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#26 0x0000003096a20b8d in ?? () from /lib64/libgobject-2.0.so.0
#27 0x0000003096a220fa in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#28 0x0000003096a227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#29 0x000000309b87634f in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#30 0x000000309b74a844 in gtk_propagate_event () from /usr/lib64/libgtk-x11-2.0.so.0
#31 0x000000309b74b983 in gtk_main_do_event () from /usr/lib64/libgtk-x11-2.0.so.0
#32 0x000000309ca5feac in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#33 0x000000309623923e in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#34 0x000000309623cc28 in ?? () from /lib64/libglib-2.0.so.0
#35 0x000000309623d075 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#36 0x000000309b74beb7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#37 0x00000030a27e7ba8 in wxEventLoop::Run() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#38 0x00000030a2861a6b in wxAppBase::MainLoop() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#39 0x00000030a0696385 in wxEntry(int&, wchar_t**) () from /usr/lib64/libwx_baseu-2.8.so.0
#40 0x0000000000567962 in main ()
(gdb)


You seem to be able to reproduce the problem without using VNC.  Even if you only have one machine, you can still start a view a VNC session on the same physical display.  This may be another avenue to explore, but is perhaps off-topic.

Forget I ever mentioned Windows.  It has nothing to do with the bug.

To confirm, I only see the bug (immediate crash when 3D display menu button pressed) when using VNC.  I get normal good behaviour when working natively (but the trouble with this is that I do not normally have keyboard and screen attached to that, and other machines).

Maybe KiCad is being a bit too ambitious in trying to render a 3D image.  Agreed this is an extremely useful feature that commercial packages do not offer, and is vital for checking component mechanical conflicts.  However, the same could be acheived if the 3D information was exported to an independent package.

Thanks again for all your effort.  I still think it is worth pursuing because I am reporting a repeatable crash of kicad during normal operation.

If there is any way I can give you further assistance in debugging this, let me know.

Bockeman

Comment 11 Alain Portal 2010-05-20 20:23:54 UTC
(In reply to comment #10)
> Alain,
> 
> Running pcbnew from a terminal reveals nothing new:
> % pcbnew
> Segmentation fault (core dumped)

This is clearly different.

> Running under gdb reveals a bit more information, though clearly I do not have
> all the debuginfos installed (and without your guidance, I do not relish having
> to locate and install all this lot).

I (and you) don't need all.
But we need at least

> wxBase-2.8.11-1.fc12.x86_64 wxGTK-2.8.11-1.fc12.x86_64
> wxGTK-gl-2.8.11-1.fc12.x86_64 zlib-1.2.3-23.fc12.x86_64

perhaps more, but we'll see this later.

> (gdb) bt
> #0  0x00000030a27faa8e in wxWindow::DoSetSize(int, int, int, int, int) () from
> /usr/lib64/libwx_gtk2u_core-2.8.so.0

I will be happy if could know where come from the call... 

> You seem to be able to reproduce the problem without using VNC.  Even if you
> only have one machine, you can still start a view a VNC session on the same
> physical display.  This may be another avenue to explore, but is perhaps
> off-topic.
> 
> Forget I ever mentioned Windows.  It has nothing to do with the bug.

Windows not, but the machine Windows running on...

> To confirm, I only see the bug (immediate crash when 3D display menu button
> pressed) when using VNC.  I get normal good behaviour when working natively
> (but the trouble with this is that I do not normally have keyboard and screen
> attached to that, and other machines).
> 
> Maybe KiCad is being a bit too ambitious in trying to render a 3D image.

Not really...
I get no problem on my work PC.

> Agreed this is an extremely useful feature that commercial packages do not
> offer, and is vital for checking component mechanical conflicts.  However, the
> same could be acheived if the 3D information was exported to an independent
> package.

Good luck!
You ask for a new feature, so, subscribe:
https://launchpad.net/kicad

> Thanks again for all your effort.  I still think it is worth pursuing because I
> am reporting a repeatable crash of kicad during normal operation.

As I'm the packager, I will do anything that I can do to fix, even I don't use this feature.

I hate you ;-)

Comment 12 Alain Portal 2010-05-24 09:47:49 UTC
It really seems this bug is relative to video.
https://bugzilla.redhat.com/show_bug.cgi?id=576603
Which is you video card?
Adding "radeon.modeset=0" to the boot line solve me the problem.

Comment 13 Bockeman 2010-05-24 22:24:01 UTC
There is no video card.  The screen is a virtual display created by VNC.

Please could you see if you get the same crash symptoms when you run this in a VNC session (which is easy to install if indeed it is not already installed by default).

Not sure about your smiley comment.  I would like to help you (or someone else if that is more appropriate) get to the bottom of this.  Remember, I did not "create" this bug, I merely reported it.  Don't shoot the messenger!

Comment 14 Alain Portal 2010-05-24 23:27:39 UTC
(In reply to comment #13)
> There is no video card.  The screen is a virtual display created by VNC.

There is a video card on the VNC server which share its graphical desktop.
Which is this video card?
Which is the video driver of this card?

> Please could you see if you get the same crash symptoms when you run this in a
> VNC session (which is easy to install if indeed it is not already installed by
> default).

I never used VNC, and I don't know how to do.
But this isn't a problem, I got the same crash symptoms as https://bugzilla.redhat.com/show_bug.cgi?id=576603 which has been reported against video driver, not kicad.

> Not sure about your smiley comment.

As the smiley highlighted, it was humour.

>  I would like to help you (or someone else
> if that is more appropriate) get to the bottom of this.  Remember, I did not
> "create" this bug, I merely reported it.  Don't shoot the messenger!    

So, answer the questions.

Comment 15 Bockeman 2010-05-26 20:05:15 UTC
On my x86_64 machine
# lspci
...
02:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1)
# lsmod | egrep nvidia
nvidia              10824377  28 
i2c_core               26876  13 isl6421,cx24116,cx88_dvb,cx88_vp3054_i2c,tuner,cx8800,cx88xx,i2c_algo_bit,nvidia,v4l2_common,videodev,tveeprom,i2c_nforce2

On my i686 machine
# lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
...
# lsmod | egrep 915
i915                  241017  0 
drm_kms_helper         22263  1 i915
drm                   135381  2 i915,drm_kms_helper
i2c_algo_bit            4073  1 i915
i2c_core               21732  5 videodev,i915,drm_kms_helper,drm,i2c_algo_bit
video                  16522  1 i915

Is this the video card information that you were looking for?

On both these machines (when I attach a screen and keyboard), running natively, KiCad 3D display runs flawlessly.


However, I fear that you may have missed the importance of my statement that KiCad 3D only crashes when running in a VNC session.  The fact that you have never used VNC suggests to me that you have not appreciated that running under VNC is like running on a virtual machine.  The display information is rendered on a virtual screen and that screen is exported via ethernet to somewhere else.

For instance, I suspect you may be looking for a video driver option that would make the KiCad problem disappear.  I can assure you that there is no such solution.  Firstly, because the video driver setup is perfectly good as demonstrated by the fact that KiCad runs flawlessly.  Secondly, because any changes to the hardware video driver setup make absolutely no difference to the virtual display created by VNC.

You might be tempted to think this is a VNC problem.  Well, it might be, but I doubt it.  It is strange that a host of other applications work fine under VNC without problem.  Also, KiCad used to work on VNC, and VNC has definitely not changed.  Furthermore, as an application, KiCad could be forgiven if it reported something like "this display is not supported", but to cause a segmentation fault suggests to me that KiCad has called some graphics function with illegal parameters.

I would happily instruct you in to how to set up and run VNC should you feel that would be appropriate.

I appreciate your persistence in continuing to get to the bottom of this.

Please tell me what else you would like me to supply, giving explicit unix commands if necessary.


Regards,
Bockeman

PS Is there some other resource we could call upon to help us?

Comment 16 Alain Portal 2010-05-26 22:16:21 UTC
(In reply to comment #15)
> On my x86_64 machine
> On my i686 machine

> Is this the video card information that you were looking for?

Yes, 

> On both these machines (when I attach a screen and keyboard), running natively,
> KiCad 3D display runs flawlessly.
> 
> 
> However, I fear that you may have missed the importance of my statement that
> KiCad 3D only crashes when running in a VNC session.

I made an error, I though there was a machine on where pcbnew crashed when running natively.

>  The fact that you have
> never used VNC suggests to me that you have not appreciated that running under
> VNC is like running on a virtual machine.

I know nothing about virtual machine ;-)

>  The display information is rendered
> on a virtual screen and that screen is exported via ethernet to somewhere else.
> 
> For instance, I suspect you may be looking for a video driver option that would
> make the KiCad problem disappear.

Yes!
Because pcbnew crashes on my laptop and doesn't on my job pc, because nobody reports a such crash on kicad lists.
Because you said the crash appeared in kicad-2010.03.24, but I made a try with the 2009.02.16 release and I got he problem.
So, I'm sure now this isn't a kicad bug.

>  I can assure you that there is no such
> solution.  Firstly, because the video driver setup is perfectly good as
> demonstrated by the fact that KiCad runs flawlessly.  Secondly, because any
> changes to the hardware video driver setup make absolutely no difference to the
> virtual display created by VNC.
> 
> You might be tempted to think this is a VNC problem.  Well, it might be, but I
> doubt it.  It is strange that a host of other applications work fine under VNC
> without problem.  Also, KiCad used to work on VNC, and VNC has definitely not
> changed.  Furthermore, as an application, KiCad could be forgiven if it
> reported something like "this display is not supported", but to cause a
> segmentation fault suggests to me that KiCad has called some graphics function
> with illegal parameters.
> 
> I would happily instruct you in to how to set up and run VNC should you feel
> that would be appropriate.

I agree, send explanations at "alain.portal AT free.fr"

> I appreciate your persistence in continuing to get to the bottom of this.
> 
> Please tell me what else you would like me to supply, giving explicit unix
> commands if necessary.


First try:
yum downgrade kicad-2009.07.07

Make the test.
If there is a crash, what I'm sure, you will agree this isn't a kicad bug.


Second try:
compiling the kicad source and add some "spies" in the code.
I'll give explanation tomorrow (too tired tonight)

> 
> Regards,
> Bockeman
> 
> PS Is there some other resource we could call upon to help us?    

I asked for help and testers on the fedora-electronic-lab, nobody answers...

Comment 17 Alain Portal 2010-05-28 18:07:47 UTC
Second try:

Reinstall the latest version with some others debuginfo packages to try to know more about the crash:

yum install kicad kicad-debuginfo wxBase-debuginfo wxGTK-gl-debuginfo --enablerepo=updates-testing --enablerepo=updates-testing

Reproduce the bug in gdb and give the new trace.

Third try:
compiling kicad from scratch to ad some spies.

yum install bzr

bzr is the VCS used by the kicad project

yum install wxGTK-devel boost-devel wxGTK-devel

packages needed to compile kicad.

As a normal user, in a terminal (I'll call it "the console"):

mkdir $HOME/tmp
cd $HOME/tmp
bzr branch lp:kicad/stable kicad-stable-bzr (this can take several minutes)
cd kicad-stable-bzr
mkdir build_dir
cd build_dir
cmake ../
make (this can take several minutes...)

If compilation fails, try to solve the problem ;-)
Or tell me.
If compilation succeed, with a text editor, open $HOME/tmp/kicad-stable-bzr/3d-viewer/3d-frame.cpp
At line 104, add
    printf("Here we go!\n");
just before line
    m_auimgr.Update();
and after this line, add:
    printf("Are we going here?\n");

Save the file.
In the console:
make
gdb ./pcbnew/pcbnew
run

Reproduce the bug.
And tell me if you see "Are we going here?" in the console.

If no, the crash is in the m_auimgr.Update() function (as shown in the last gdb trace you gave) which is a wxGTK function and we'll have to try find the bug in it.
If yes, gdb is a liar and we'll have to investigate more.

Comment 18 Bockeman 2010-06-07 20:36:37 UTC
Results from "Second Try"
NB Note the failure to locate the requested debuginfo

yum install kicad kicad-debuginfo wxBase-debuginfo wxGTK-gl-debuginfo --enablerepo=updates-testing

No package wxBase-debuginfo available.
No package wxGTK-gl-debuginfo available.

Kicad 3D
crash
#{{{ ABRT logging dump
[New Thread 3342]
warning: the debug information found in "/usr/lib/debug//usr/lib64/kicad/lib3d-viewer.so.debug" does not match "/usr/lib64/kicad/lib3d-viewer.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/kicad/lib3d-viewer.so.debug" does not match "/usr/lib64/kicad/lib3d-viewer.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib64/kicad/libcommon.so.debug" does not match "/usr/lib64/kicad/libcommon.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/kicad/libcommon.so.debug" does not match "/usr/lib64/kicad/libcommon.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib64/kicad/libpcbcommon.so.debug" does not match "/usr/lib64/kicad/libpcbcommon.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/kicad/libpcbcommon.so.debug" does not match "/usr/lib64/kicad/libpcbcommon.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib64/kicad/libpolygon.so.debug" does not match "/usr/lib64/kicad/libpolygon.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/kicad/libpolygon.so.debug" does not match "/usr/lib64/kicad/libpolygon.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib64/kicad/libbitmaps.so.debug" does not match "/usr/lib64/kicad/libbitmaps.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/kicad/libbitmaps.so.debug" does not match "/usr/lib64/kicad/libbitmaps.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib64/kicad/libkbool.so.debug" does not match "/usr/lib64/kicad/libkbool.so" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/kicad/libkbool.so.debug" does not match "/usr/lib64/kicad/libkbool.so" (CRC mismatch).

Core was generated by `/usr/bin/pcbnew dvb_s2.brd'.
Program terminated with signal 11, Segmentation fault.
#0  wxWindow::DoSetSize (this=0x2e45ea0, x=1, y=25, width=1400, height=928, 
    sizeFlags=4) at src/gtk/window.cpp:2763
2763	src/gtk/window.cpp: No such file or directory.
	in src/gtk/window.cpp

Thread 2 (Thread 3342):
#0  0x0000003fa2ed5353 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        _a3 = -1
        _a1 = 140500728288352
        resultvar = <value optimized out>
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003fafa2c73f in poll_func (ufds=0x7fc8e0001460, nfds=2, timeout=-1, 
    userdata=0x28ac520) at pulse/thread-mainloop.c:75
        mutex = 0x28ac520
        r = -536865696
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x0000003fafa1cae6 in pa_mainloop_poll (m=0x29b8050)
    at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x0000003fafa1dea9 in pa_mainloop_iterate (m=0x29b8050, 
    block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x0000003fafa1df60 in pa_mainloop_run (m=0x29b8050, retval=0x0)
    at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x0000003fafa2c64b in thread (userdata=0x268f350)
    at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 
    18446744073709551615 <repeats 15 times>}}
#6  0x00007fc8eb0b0838 in internal_thread_func (userdata=0x29d0c00)
    at pulsecore/thread-posix.c:72
        t = 0x29d0c00
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003fa3606a3a in start_thread (arg=0x7fc8e6891710)
    at pthread_create.c:297
        __res = <value optimized out>
        pd = 0x7fc8e6891710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140500837930768, 
    -8368333442385043610, 273323986016, 0, 0, 3, 8380204949488672614, 
    -8384871470381260954}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 
    0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
#8  0x0000003fa2ede77d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#9  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 3341):
#0  wxWindow::DoSetSize (this=0x2e45ea0, x=1, y=25, width=1400, height=928, 
    sizeFlags=4) at src/gtk/window.cpp:2763
        currentY = 0
        minWidth = 1
        minHeight = 1
        maxWidth = -1
        maxHeight = <value optimized out>
        currentX = 0
#1  0x0000003fb10c74e6 in wxBoxSizer::RecalcSizes (this=0x2e46970)
    at src/common/sizer.cpp:1751
        height = 928
        child_pos = {x = 1, y = 25}
        child_size = {x = 1400, y = 928}
        size = <value optimized out>
        item = 0x2e46a10
        delta = 0
        stretchable = <value optimized out>
#2  0x0000003fb10c745c in wxBoxSizer::RecalcSizes (this=0x2e468d0)
    at src/common/sizer.cpp:1789
        width = 1400
        child_pos = {x = 1, y = 25}
        child_size = {x = 1400, y = 928}
        size = <value optimized out>
        item = 0x2e46ab0
        delta = 0
        stretchable = <value optimized out>
#3  0x0000003fb10c74e6 in wxBoxSizer::RecalcSizes (this=0x2e46830)
    at src/common/sizer.cpp:1751
        height = 930
        child_pos = {x = 0, y = 24}
        child_size = {x = 1402, y = 930}
        size = <value optimized out>
        item = 0x2e46b50
        delta = 0
        stretchable = <value optimized out>
#4  0x0000003fb10c745c in wxBoxSizer::RecalcSizes (this=0x2e46790)
    at src/common/sizer.cpp:1789
        width = 1402
        child_pos = {x = 0, y = 24}
        child_size = {x = 1402, y = 930}
        size = <value optimized out>
        item = 0x2e46c40
        delta = 0
        stretchable = <value optimized out>
#5  0x0000003fb10c74e6 in wxBoxSizer::RecalcSizes (this=0x2e52ff0)
    at src/common/sizer.cpp:1751
        height = 930
        child_pos = {x = 0, y = 24}
        child_size = {x = 1402, y = 930}
        size = <value optimized out>
        item = 0x2e52f60
        delta = 0
        stretchable = <value optimized out>
#6  0x0000003fb10c74e6 in wxBoxSizer::RecalcSizes (this=0x2e52bd0)
    at src/common/sizer.cpp:1751
        height = 954
        child_pos = {x = 0, y = 0}
        child_size = {x = 1402, y = 954}
        size = <value optimized out>
        item = 0x2e46d70
        delta = 0
        stretchable = <value optimized out>
#7  0x0000003fb10d6050 in wxWindowBase::Layout (this=0x28b7200)
    at src/common/wincmn.cpp:1923
        w = -1
        h = <value optimized out>
#8  0x0000003fae629f78 in wxAuiManager::DoFrameLayout (this=0x28b7540)
    at src/aui/framemanager.cpp:2610
        i = <value optimized out>
        part_count = <value optimized out>
#9  0x0000003fae6312b4 in wxAuiManager::Update (this=0x28b7540)
    at src/aui/framemanager.cpp:2556
        sizer = <value optimized out>
        i = <value optimized out>
        pane_count = 2
        old_pane_rects = {<wxArrayPtrVoid> = {<wxBaseArrayPtrVoid> = {
              m_nSize = 16, m_nCount = 2, m_pItems = 
    0x2e46e10}, <No data fields>}, <No data fields>}
#10 0x00007fc8f462b50e in WinEDA3D_DrawFrame::WinEDA3D_DrawFrame(WinEDA_BasePcbFrame*, wxString const&, long) () from /usr/lib64/kicad/lib3d-viewer.so
No symbol table info available.
#11 0x000000000045c89d in WinEDA_PcbFrame::Show3D_Frame(wxCommandEvent&) ()
No symbol table info available.
#12 0x0000003fb02e7ac0 in wxEvtHandler::ProcessEventIfMatches (
    entry=<value optimized out>, handler=<value optimized out>, event=...)
    at src/common/event.cpp:1239
        tableId1 = <value optimized out>
        tableId2 = <value optimized out>
#13 0x0000003fb02e86c4 in wxEventHashTable::HandleEvent (
    this=<value optimized out>, event=..., self=0x268ffe0)
    at src/common/event.cpp:906
        n = <value optimized out>
        eventEntryTable = @0x2720168
        count = 94
        eventType = <value optimized out>
        eTTnode = 0x2720160
#14 0x0000003fb02e87a7 in wxEvtHandler::ProcessEvent (this=0x268ffe0, event=
    ...) at src/common/event.cpp:1301
No locals.
#15 0x0000003fb02e8730 in wxEvtHandler::ProcessEvent (this=0x2690318, event=
    ...) at src/common/event.cpp:1308
No locals.
#16 0x0000003fb104c116 in gtk_menu_clicked_callback (
    widget=<value optimized out>, menu=0x2ddc900) at src/gtk/menu.cpp:653
        commandEvent = {<wxEvent> = {<wxObject> = {_vptr.wxObject = 0x863bd0, 
              static ms_classInfo = {m_className = 0x3fb0308d68 L"wxObject", 
                m_objectSize = 16, m_objectConstructor = 0, m_baseInfo1 = 
    0x0, m_baseInfo2 = 0x0, static sm_first = 0x0, m_next = 0x3fb05579a0, 
                static sm_classTable = 0x257c010}, m_refData = 0x0}, 
            m_eventObject = 0x2ddc900, m_eventType = 10088, m_timeStamp = 0, 
            m_id = 6406, m_callbackUserData = 0x0, m_propagationLevel = 
    2147483647, m_skipped = false, m_isCommandEvent = true, 
            static ms_classInfo = {m_className = 0x3fb030ed58 L"wxEvent", 
              m_objectSize = 64, m_objectConstructor = 0, m_baseInfo1 = 
    0x3fb05578c0, m_baseInfo2 = 0x0, static sm_first = 0x0, m_next = 
    0x3fb0559880, static sm_classTable = 0x257c010}}, m_commandString = {
            m_evt = 0x7fff83d154d0}, m_cmdString = {<wxStringBase> = {
              static npos = 18446744073709551615, m_pchData = 
    0x3fb0309f18 L""}, <No data fields>}, m_commandInt = 0, m_extraLong = 0, 
          m_clientData = 0x0, m_clientObject = 0x0, static ms_classInfo = {
            m_className = 0x3fb11196b0 L"wxCommandEvent", m_objectSize = 112, 
            m_objectConstructor = 
    0x3fb0fc5eb0 <wxCommandEvent::wxCreateObject()>, m_baseInfo1 = 
    0x3fb05598c0, m_baseInfo2 = 0x0, static sm_first = 0x0, m_next = 
    0x3fb13f9760, static sm_classTable = 0x257c010}}
        id = 6406
        item = 0x2ddcd00
        frame = 0x268ffe0
#17 0x0000003fa4e0ba8e in IA__g_closure_invoke (closure=0x2ddd6a0, 
    return_value=0x0, n_param_values=1, param_values=0x2857c20, 
    invocation_hint=0x7fff83d156a0) at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#18 0x0000003fa4e20ec3 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x2dd9b30
        accumulator = <value optimized out>
        emission = {next = 0x7fff83d15b90, instance = 0x2dd0530, ihint = {
            signal_id = 94, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
          state = EMISSION_RUN, chain_type = 4}
        class_closure = <value optimized out>
        handler_list = 0x2dd9b30
        return_accu = <value optimized out>
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 
    0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}}}
        signal_id = <value optimized out>
        max_sequential_handler_number = <value optimized out>
        return_value_altered = <value optimized out>
#19 0x0000003fa4e2225f in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff83d15890) at gsignal.c:2980
        instance_and_params = <value optimized out>
        signal_return_type = <value optimized out>
        param_values = <value optimized out>
        node = 0x2639e90
        i = <value optimized out>
        n_params = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#20 0x0000003fa4e227a3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3037
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 
    0x7fff83d15970, reg_save_area = 0x7fff83d158b0}}
#21 0x0000003fa9c7d4fe in IA__gtk_widget_activate (widget=
    0x2dd0530 [GtkImageMenuItem]) at gtkwidget.c:4806
        __PRETTY_FUNCTION__ = "IA__gtk_widget_activate"
#22 0x0000003fa9b647bd in IA__gtk_menu_shell_activate_item (menu_shell=
    0x2dbb660 [GtkMenu], menu_item=0x2dd0530 [GtkImageMenuItem], 
    force_deactivate=<value optimized out>) at gtkmenushell.c:1139
        slist = <value optimized out>
        shells = 0x2914c00 = {0x2dbb660, 0x263c6b0}
        deactivate = 0
        __PRETTY_FUNCTION__ = "IA__gtk_menu_shell_activate_item"
#23 0x0000003fa9b6646a in gtk_menu_shell_button_release (widget=
    0x2dbb660 [GtkMenu], event=<value optimized out>) at gtkmenushell.c:678
        submenu = 0x0
        menu_item = 0x2dd0530 [GtkImageMenuItem]
        deactivate = 1
#24 0x0000003fa9b53ae3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x2626310, 
    return_value=0x7fff83d15be0, n_param_values=<value optimized out>, 
    param_values=0x295c730, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
        callback = 0x3fa9b5aa20 <gtk_menu_button_release>
        cc = 0x2626310
        data1 = 0x2dbb660
        data2 = 0x261d230
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#25 0x0000003fa4e0ba8e in IA__g_closure_invoke (closure=0x2626310, 
    return_value=0x7fff83d15be0, n_param_values=2, param_values=0x295c730, 
    invocation_hint=0x7fff83d15ba0) at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#26 0x0000003fa4e20b8d in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
        accumulator = <value optimized out>
        emission = {next = 0x0, instance = 0x2dbb660, ihint = {signal_id = 
    34, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, 
          chain_type = 40084640}
        class_closure = <value optimized out>
        handler_list = 0x0
        return_accu = <value optimized out>
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 
    0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}}}
        signal_id = <value optimized out>
        max_sequential_handler_number = <value optimized out>
        return_value_altered = <value optimized out>
#27 0x0000003fa4e220fa in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff83d15d90) at gsignal.c:2990
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 
    0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 
    0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 
    0x0}}}
        error = 0x0
        rtype = <value optimized out>
        static_scope = <value optimized out>
        instance_and_params = <value optimized out>
        signal_return_type = <value optimized out>
        param_values = <value optimized out>
        node = 0x2626580
        i = <value optimized out>
        n_params = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#28 0x0000003fa4e227a3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3037
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 
    0x7fff83d15e70, reg_save_area = 0x7fff83d15db0}}
#29 0x0000003fa9c7634f in gtk_widget_event_internal (widget=
    0x2dbb660 [GtkMenu], event=0x2993c00) at gtkwidget.c:4775
        signal_num = <value optimized out>
        return_val = 0
#30 0x0000003fa9b4a844 in IA__gtk_propagate_event (widget=
    0x2dbb660 [GtkMenu], event=0x2993c00) at gtkmain.c:2417
        tmp = <value optimized out>
        handled_event = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#31 0x0000003fa9b4b983 in IA__gtk_main_do_event (event=0x2993c00)
    at gtkmain.c:1622
        event_widget = <value optimized out>
        grab_widget = 0x2dd0530 [GtkImageMenuItem]
        window_group = 0x29ab260 [GtkWindowGroup]
        rewritten_event = <value optimized out>
        tmp_list = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#32 0x0000003face5feac in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2372
        display = <value optimized out>
        event = 0x2993c00
#33 0x0000003fa463923e in g_main_dispatch (context=0x25c2d20) at gmain.c:1960
        dispatch = <value optimized out>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = <value optimized out>
        current_source_link = {data = 0x25f70d0, next = 0x0}
        source = 0x25f70d0
        current = 0x2856a60
        i = <value optimized out>
#34 IA__g_main_context_dispatch (context=0x25c2d20) at gmain.c:2513
No locals.
#35 0x0000003fa463cc28 in g_main_context_iterate (context=0x25c2d20, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2591
        max_priority = 2147483647
        timeout = -1
        some_ready = 1
        nfds = 6
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#36 0x0000003fa463d075 in IA__g_main_loop_run (loop=0x286e210) at gmain.c:2799
        self = 0x25c0680
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#37 0x0000003fa9b4beb7 in IA__gtk_main () at gtkmain.c:1218
        tmp_list = <value optimized out>
        functions = 0x0
        init = <value optimized out>
        loop = 0x286e210
#38 0x0000003fb0fe7ba8 in wxEventLoop::Run (this=0x29a4050)
    at src/gtk/evtloop.cpp:76
        exitcode = <value optimized out>
#39 0x0000003fb1061a6b in wxAppBase::MainLoop (this=0x25c0430)
    at src/common/appcmn.cpp:312
        mainLoop = {<wxEventLoopPtr> = {m_ptr = 0x29a4050}, m_pp = 0x25c04a8, 
          m_pOld = 0x0}
#40 0x0000003fb0296385 in wxEntry (argc=<value optimized out>, 
    argv=<value optimized out>) at src/common/init.cpp:448
No locals.
#41 0x0000000000567d62 in main ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x00007fc8f4620ab0  0x00007fc8f462f988  Yes         /usr/lib64/kicad/lib3d-viewer.so
0x00007fc8f4362c60  0x00007fc8f43afad8  Yes         /usr/lib64/kicad/libcommon.so
0x00007fc8f40a6750  0x00007fc8f40cc9e8  Yes         /usr/lib64/kicad/libpcbcommon.so
0x00007fc8f3e7c8a0  0x00007fc8f3e83e28  Yes         /usr/lib64/kicad/libpolygon.so
0x00007fc8f3bf8b00  0x00007fc8f3bf8c08  Yes         /usr/lib64/kicad/libbitmaps.so
0x00007fc8f393df10  0x00007fc8f3952e38  Yes         /usr/lib64/kicad/libkbool.so
0x0000003fae204780  0x0000003fae247d78  Yes         /usr/lib64/libGLU.so.1
0x0000003fbca42000  0x0000003fbcaa0b48  Yes         /usr/lib64/nvidia/libGL.so.1
0x0000003fa6a1dd80  0x0000003fa6aab8c8  Yes         /usr/lib64/libX11.so.6
0x0000003fa7203580  0x0000003fa720e768  Yes         /usr/lib64/libXext.so.6
0x0000003fa86086a0  0x0000003fa860a558  Yes         /usr/lib64/libwx_gtk2u_gl-2.8.so.0
0x0000003fae6297c0  0x0000003fae65c268  Yes         /usr/lib64/libwx_gtk2u_aui-2.8.so.0
0x0000003fad269bd0  0x0000003fad2b5bd8  Yes         /usr/lib64/libwx_gtk2u_adv-2.8.so.0
0x0000003faea474c0  0x0000003faea87168  Yes         /usr/lib64/libwx_gtk2u_html-2.8.so.0
0x0000003fb0fc5060  0x0000003fb1119658  Yes         /usr/lib64/libwx_gtk2u_core-2.8.so.0
0x0000003fa8215240  0x0000003fa8224758  Yes         /usr/lib64/libwx_baseu_net-2.8.so.0
0x0000003fb0264910  0x0000003fb02fb258  Yes         /usr/lib64/libwx_baseu-2.8.so.0
0x0000003fafe56410  0x0000003fafebeb56  Yes         /usr/lib64/libstdc++.so.6
0x0000003fa3a03ea0  0x0000003fa3a44318  Yes         /lib64/libm.so.6
0x0000003fad602910  0x0000003fad612ce8  Yes         /lib64/libgcc_s.so.1
0x0000003fa3605390  0x0000003fa3610918  Yes         /lib64/libpthread.so.0
0x0000003fa2e1e860  0x0000003fa2f262fc  Yes         /lib64/libc.so.6
0x0000003fbd614790  0x0000003fbe084698  Yes         /usr/lib64/nvidia/libGLcore.so.1
0x000000320ac00740  0x000000320ac00ce4  Yes         /usr/lib64/nvidia/tls/libnvidia-tls.so.1
0x0000003fa3200de0  0x0000003fa3201998  Yes         /lib64/libdl.so.2
0x0000003fa6208650  0x0000003fa6213898  Yes         /usr/lib64/libxcb.so.1
0x0000003fa9a661a0  0x0000003fa9d029e8  Yes         /usr/lib64/libgtk-x11-2.0.so.0
0x0000003face1cf00  0x0000003face7ea98  Yes         /usr/lib64/libgdk-x11-2.0.so.0
0x0000003fabe092f0  0x0000003fabe14908  Yes         /usr/lib64/libatk-1.0.so.0
0x0000003fa6618860  0x0000003fa667a8c8  Yes         /lib64/libgio-2.0.so.0
0x0000003fac607500  0x0000003fac620678  Yes         /usr/lib64/libpangoft2-1.0.so.0
0x0000003fa9205690  0x0000003fa9217608  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0
0x0000003fac20ec50  0x0000003fac22d478  Yes         /usr/lib64/libpango-1.0.so.0
0x0000003fa6e0c850  0x0000003fa6e744e8  Yes         /usr/lib64/libfreetype.so.6
0x0000003fa7a05c80  0x0000003fa7a1ff28  Yes         /usr/lib64/libfontconfig.so.1
0x0000003fa4e08890  0x0000003fa4e31e18  Yes         /lib64/libgobject-2.0.so.0
0x0000003fa5601080  0x0000003fa5601fd8  Yes         /lib64/libgmodule-2.0.so.0
0x0000003fa5e01590  0x0000003fa5e029e8  Yes         /lib64/libgthread-2.0.so.0
0x0000003fa3e02140  0x0000003fa3e05578  Yes         /lib64/librt.so.1
0x0000003fa46132f0  0x0000003fa468a1f8  Yes         /lib64/libglib-2.0.so.0
0x0000003fa8e00a20  0x0000003fa8e01508  Yes         /usr/lib64/libXinerama.so.1
0x0000003faf600e30  0x0000003faf603d08  Yes         /usr/lib64/libXxf86vm.so.1
0x0000003fb06019f0  0x0000003fb06062a8  Yes         /usr/lib64/libSM.so.6
0x0000003fa7e04830  0x0000003fa7e1e7c8  Yes         /usr/lib64/libpng12.so.0
0x0000003fa4201ef0  0x0000003fa420d228  Yes         /lib64/libz.so.1
0x0000003fb22034a0  0x0000003fb221d008  Yes         /usr/lib64/libjpeg.so.62
0x0000003fb2a077a0  0x0000003fb2a393f8  Yes         /usr/lib64/libtiff.so.3
0x0000003fb4a08170  0x0000003fb4a59488  Yes         /usr/lib64/libSDL-1.2.so.0
0x0000003fa2a00af0  0x0000003fa2a18404  Yes         /lib64/ld-linux-x86-64.so.2
0x0000003fa5a00dd0  0x0000003fa5a01b68  Yes         /usr/lib64/libXau.so.6
0x0000003faba045b0  0x0000003faba08e18  Yes         /usr/lib64/libpangocairo-1.0.so.0
0x0000003faa201370  0x0000003faa204178  Yes         /usr/lib64/libXfixes.so.3
0x0000003faa609c50  0x0000003faa65b068  Yes         /usr/lib64/libcairo.so.2
0x0000003fa96018c0  0x0000003fa9607f58  Yes         /usr/lib64/libXrender.so.1
0x0000003fa8a01eb0  0x0000003fa8a0c608  Yes         /usr/lib64/libXi.so.6
0x0000003fab201720  0x0000003fab206828  Yes         /usr/lib64/libXrandr.so.2
0x0000003fab602880  0x0000003fab607658  Yes         /usr/lib64/libXcursor.so.1
0x0000003faaa00b40  0x0000003faaa01918  Yes         /usr/lib64/libXcomposite.so.1
0x0000003faae00a90  0x0000003faae01638  Yes         /usr/lib64/libXdamage.so.1
0x0000003fa52038c0  0x0000003fa5211ee8  Yes         /lib64/libresolv.so.2
0x0000003fa4a05550  0x0000003fa4a15028  Yes         /lib64/libselinux.so.1
0x0000003fa7603b70  0x0000003fa761c9d8  Yes         /lib64/libexpat.so.1
0x0000003fb0a04d70  0x0000003fb0a137a8  Yes         /usr/lib64/libICE.so.6
0x0000003fada013d0  0x0000003fada029e8  Yes         /lib64/libuuid.so.1
0x0000003faca06aa0  0x0000003faca4c708  Yes         /usr/lib64/libpixman-1.so.0
0x00007fc8ed8a0580  0x00007fc8ed8a1718  Yes         /usr/lib64/gconv/UTF-32.so
0x00007fc8ed67c110  0x00007fc8ed683a08  Yes         /lib64/libnss_files.so.2
0x00007fc8ed42db40  0x00007fc8ed44f678  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007fc8ed228600  0x00007fc8ed228de8  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00007fc8ed00de30  0x00007fc8ed01e118  Yes         /usr/lib64/libdbus-glib-1.so.2
0x00007fc8ecdcb0a0  0x00007fc8ecdf2328  Yes         /lib64/libdbus-1.so.3
0x00007fc8ecbc0270  0x00007fc8ecbc1d88  Yes         /lib64/libcap-ng.so.0
0x00007fc8ec9baf00  0x00007fc8ec9bd168  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x0000003fb9201bf0  0x0000003fb9202fe8  Yes         /usr/lib64/libcanberra-gtk.so.0
0x0000003fb9a03280  0x0000003fb9a0c248  Yes         /usr/lib64/libcanberra.so.0
0x0000003fb5e01fa0  0x0000003fb5e05fc8  Yes         /usr/lib64/libvorbisfile.so.3
0x0000003fb3e03ae0  0x0000003fb3e1b638  Yes         /usr/lib64/libvorbis.so.0
0x0000003fb1a018d0  0x0000003fb1a03c28  Yes         /usr/lib64/libogg.so.0
0x0000003fb9601e30  0x0000003fb9609c68  Yes         /usr/lib64/libtdb.so.1
0x0000003fb5a02370  0x0000003fb5a06748  Yes         /usr/lib64/libltdl.so.7
0x00007fc8ec7b6480  0x00007fc8ec7b6ed8  Yes         /usr/lib64/gconv/ISO8859-1.so
0x00007fc8ec5b2000  0x00007fc8ec5b4088  Yes         /usr/lib64/gtk-2.0/2.10.0/immodules/im-ibus.so
0x00007fc8ec37c0b0  0x00007fc8ec397ad8  Yes         /usr/lib64/libibus.so.2
0x00007fc8ec15cb70  0x00007fc8ec1685a8  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007fc8ebf4ad90  0x00007fc8ebf54a18  Yes         /usr/lib64/libgvfscommon.so.0
0x00007fc8ebd3fe10  0x00007fc8ebd40688  Yes         /lib64/libutil.so.1
0x00007fc8eb6dc900  0x00007fc8eb6f5258  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x0000003fb62028c0  0x0000003fb620a6b8  Yes         /lib64/libudev.so.0
0x00007fc8eba023b0  0x00007fc8eba03718  Yes         /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
0x00007fc8eb4cfc70  0x00007fc8eb4d2948  Yes         /usr/lib64/gtk-2.0/2.10.0/immodules/im-xim.so
0x00007fc8eb2c9000  0x00007fc8eb2cbec8  Yes         /usr/lib64/libcanberra-0.22/libcanberra-pulse.so
0x0000003fafa0ae50  0x0000003fafa32378  Yes         /usr/lib64/libpulse.so.0
0x00007fc8eb087460  0x00007fc8eb0b2718  Yes         /usr/lib64/libpulsecommon-0.9.21.so
0x00007fc8eae733b0  0x00007fc8eae763b8  Yes         /usr/lib64/libXtst.so.6
0x0000003fb1602ee0  0x0000003fb1606a88  Yes         /lib64/libwrap.so.0
0x0000003faf205540  0x0000003faf246e68  Yes         /usr/lib64/libsndfile.so.1
0x00007fc8eac6e1c0  0x00007fc8eac707e8  Yes         /usr/lib64/libasyncns.so.0
0x0000003fb7204070  0x0000003fb72118c8  Yes         /lib64/libnsl.so.1
0x0000003fb1e0be70  0x0000003fb1e30e08  Yes         /usr/lib64/libFLAC.so.8
0x00007fc8ea8a9a30  0x00007fc8ea8abec8  Yes         /usr/lib64/libvorbisenc.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0xffffffff	4294967295
rbx            0x2e45ea0	48520864
rcx            0x100000001	4294967297
rdx            0x1	1
rsi            0x7fff83d14c3c	140735404919868
rdi            0x0	0
rbp            0x578	0x578
rsp            0x7fff83d14c20	0x7fff83d14c20
r8             0x3a0	928
r9             0x4	4
r10            0x1	1
r11            0x3fa2e79d00	273316027648
r12            0x3a0	928
r13            0x4	4
r14            0xffffffff	4294967295
r15            0x1	1
rip            0x3fb0ffaa8e	
    0x3fb0ffaa8e <wxWindow::DoSetSize(int, int, int, int, int)+494>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
fctrl          0x37f	895
fstat          0x20	32
ftag           0xffff	65535
fiseg          0x3f	63
fioff          0xa3a266d7	-1549637929
foseg          0x7fff	32767
fooff          0x83d14c88	-2083435384
fop            0x51f	1311
mxcsr          0x1fa0	[ PE IM DM ZM OM UM PM ]
Dump of assembler code for function wxWindow::DoSetSize(int, int, int, int, int):
0x0000003fb0ffa8a0 <wxWindow::DoSetSize(int, int, int, int, int)+0>:	mov    %rbx,-0x30(%rsp)
0x0000003fb0ffa8a5 <wxWindow::DoSetSize(int, int, int, int, int)+5>:	mov    %rbp,-0x28(%rsp)
0x0000003fb0ffa8aa <wxWindow::DoSetSize(int, int, int, int, int)+10>:	mov    %rdi,%rbx
0x0000003fb0ffa8ad <wxWindow::DoSetSize(int, int, int, int, int)+13>:	mov    %r12,-0x20(%rsp)
0x0000003fb0ffa8b2 <wxWindow::DoSetSize(int, int, int, int, int)+18>:	mov    %r13,-0x18(%rsp)
0x0000003fb0ffa8b7 <wxWindow::DoSetSize(int, int, int, int, int)+23>:	mov    %ecx,%ebp
0x0000003fb0ffa8b9 <wxWindow::DoSetSize(int, int, int, int, int)+25>:	mov    %r14,-0x10(%rsp)
0x0000003fb0ffa8be <wxWindow::DoSetSize(int, int, int, int, int)+30>:	mov    %r15,-0x8(%rsp)
0x0000003fb0ffa8c3 <wxWindow::DoSetSize(int, int, int, int, int)+35>:	sub    $0xc8,%rsp
0x0000003fb0ffa8ca <wxWindow::DoSetSize(int, int, int, int, int)+42>:	mov    %esi,0x1c(%rsp)
0x0000003fb0ffa8ce <wxWindow::DoSetSize(int, int, int, int, int)+46>:	mov    %edx,0x18(%rsp)
0x0000003fb0ffa8d2 <wxWindow::DoSetSize(int, int, int, int, int)+50>:	mov    %r8d,%r12d
0x0000003fb0ffa8d5 <wxWindow::DoSetSize(int, int, int, int, int)+53>:	movzbl 0x212(%rdi),%eax
0x0000003fb0ffa8dc <wxWindow::DoSetSize(int, int, int, int, int)+60>:	mov    %r9d,%r13d
0x0000003fb0ffa8df <wxWindow::DoSetSize(int, int, int, int, int)+63>:	test   $0x40,%al
0x0000003fb0ffa8e1 <wxWindow::DoSetSize(int, int, int, int, int)+65>:	je     0x3fb0ffa920 <wxWindow::DoSetSize(int, int, int, int, int)+128>
0x0000003fb0ffa8e3 <wxWindow::DoSetSize(int, int, int, int, int)+67>:	mov    0x98(%rsp),%rbx
0x0000003fb0ffa8eb <wxWindow::DoSetSize(int, int, int, int, int)+75>:	mov    0xa0(%rsp),%rbp
0x0000003fb0ffa8f3 <wxWindow::DoSetSize(int, int, int, int, int)+83>:	mov    0xa8(%rsp),%r12
0x0000003fb0ffa8fb <wxWindow::DoSetSize(int, int, int, int, int)+91>:	mov    0xb0(%rsp),%r13
0x0000003fb0ffa903 <wxWindow::DoSetSize(int, int, int, int, int)+99>:	mov    0xb8(%rsp),%r14
0x0000003fb0ffa90b <wxWindow::DoSetSize(int, int, int, int, int)+107>:	mov    0xc0(%rsp),%r15
0x0000003fb0ffa913 <wxWindow::DoSetSize(int, int, int, int, int)+115>:	add    $0xc8,%rsp
0x0000003fb0ffa91a <wxWindow::DoSetSize(int, int, int, int, int)+122>:	retq   
0x0000003fb0ffa91b <wxWindow::DoSetSize(int, int, int, int, int)+123>:	nopl   0x0(%rax,%rax,1)
0x0000003fb0ffa920 <wxWindow::DoSetSize(int, int, int, int, int)+128>:	or     $0x40,%eax
0x0000003fb0ffa923 <wxWindow::DoSetSize(int, int, int, int, int)+131>:	lea    0x88(%rsp),%rdx
0x0000003fb0ffa92b <wxWindow::DoSetSize(int, int, int, int, int)+139>:	lea    0x8c(%rsp),%rsi
0x0000003fb0ffa933 <wxWindow::DoSetSize(int, int, int, int, int)+147>:	mov    %al,0x212(%rdi)
0x0000003fb0ffa939 <wxWindow::DoSetSize(int, int, int, int, int)+153>:	mov    (%rdi),%rax
0x0000003fb0ffa93c <wxWindow::DoSetSize(int, int, int, int, int)+156>:	callq  *0x418(%rax)
0x0000003fb0ffa942 <wxWindow::DoSetSize(int, int, int, int, int)+162>:	cmpl   $0xffffffffffffffff,0x1c(%rsp)
0x0000003fb0ffa947 <wxWindow::DoSetSize(int, int, int, int, int)+167>:	je     0x3fb0ffaca0 <wxWindow::DoSetSize(int, int, int, int, int)+1024>
0x0000003fb0ffa94d <wxWindow::DoSetSize(int, int, int, int, int)+173>:	cmpl   $0xffffffffffffffff,0x18(%rsp)
0x0000003fb0ffa952 <wxWindow::DoSetSize(int, int, int, int, int)+178>:	je     0x3fb0ffacc0 <wxWindow::DoSetSize(int, int, int, int, int)+1056>
0x0000003fb0ffa958 <wxWindow::DoSetSize(int, int, int, int, int)+184>:	mov    (%rbx),%rax
0x0000003fb0ffa95b <wxWindow::DoSetSize(int, int, int, int, int)+187>:	mov    %r13d,%r15d
0x0000003fb0ffa95e <wxWindow::DoSetSize(int, int, int, int, int)+190>:	lea    0x18(%rsp),%rdx
0x0000003fb0ffa963 <wxWindow::DoSetSize(int, int, int, int, int)+195>:	lea    0x1c(%rsp),%rsi
0x0000003fb0ffa968 <wxWindow::DoSetSize(int, int, int, int, int)+200>:	mov    %r13d,%ecx
0x0000003fb0ffa96b <wxWindow::DoSetSize(int, int, int, int, int)+203>:	mov    %rbx,%rdi
0x0000003fb0ffa96e <wxWindow::DoSetSize(int, int, int, int, int)+206>:	callq  *0x478(%rax)
0x0000003fb0ffa974 <wxWindow::DoSetSize(int, int, int, int, int)+212>:	and    $0x1,%r15d
0x0000003fb0ffa978 <wxWindow::DoSetSize(int, int, int, int, int)+216>:	je     0x3fb0ffab70 <wxWindow::DoSetSize(int, int, int, int, int)+720>
0x0000003fb0ffa97e <wxWindow::DoSetSize(int, int, int, int, int)+222>:	cmp    $0xffffffffffffffff,%ebp
0x0000003fb0ffa981 <wxWindow::DoSetSize(int, int, int, int, int)+225>:	jne    0x3fb0ffab70 <wxWindow::DoSetSize(int, int, int, int, int)+720>
0x0000003fb0ffa987 <wxWindow::DoSetSize(int, int, int, int, int)+231>:	mov    %r13d,%eax
0x0000003fb0ffa98a <wxWindow::DoSetSize(int, int, int, int, int)+234>:	shr    %eax
0x0000003fb0ffa98c <wxWindow::DoSetSize(int, int, int, int, int)+236>:	cmp    $0xffffffffffffffff,%r12d
0x0000003fb0ffa990 <wxWindow::DoSetSize(int, int, int, int, int)+240>:	sete   %r14b
0x0000003fb0ffa994 <wxWindow::DoSetSize(int, int, int, int, int)+244>:	and    %eax,%r14d
0x0000003fb0ffa997 <wxWindow::DoSetSize(int, int, int, int, int)+247>:	cmpl   $0xffffffffffffffff,0x1ac(%rbx)
0x0000003fb0ffa99e <wxWindow::DoSetSize(int, int, int, int, int)+254>:	je     0x3fb0fface0 <wxWindow::DoSetSize(int, int, int, int, int)+1088>
0x0000003fb0ffa9a4 <wxWindow::DoSetSize(int, int, int, int, int)+260>:	cmpl   $0xffffffffffffffff,0x1b0(%rbx)
0x0000003fb0ffa9ab <wxWindow::DoSetSize(int, int, int, int, int)+267>:	je     0x3fb0fface0 <wxWindow::DoSetSize(int, int, int, int, int)+1088>
0x0000003fb0ffa9b1 <wxWindow::DoSetSize(int, int, int, int, int)+273>:	mov    0x1ac(%rbx),%rax
0x0000003fb0ffa9b8 <wxWindow::DoSetSize(int, int, int, int, int)+280>:	test   %r15d,%r15d
0x0000003fb0ffa9bb <wxWindow::DoSetSize(int, int, int, int, int)+283>:	je     0x3fb0ffa9c3 <wxWindow::DoSetSize(int, int, int, int, int)+291>
0x0000003fb0ffa9bd <wxWindow::DoSetSize(int, int, int, int, int)+285>:	cmp    $0xffffffffffffffff,%ebp
0x0000003fb0ffa9c0 <wxWindow::DoSetSize(int, int, int, int, int)+288>:	cmove  %eax,%ebp
0x0000003fb0ffa9c3 <wxWindow::DoSetSize(int, int, int, int, int)+291>:	shr    $0x20,%rax
0x0000003fb0ffa9c7 <wxWindow::DoSetSize(int, int, int, int, int)+295>:	test   %r14b,%r14b
0x0000003fb0ffa9ca <wxWindow::DoSetSize(int, int, int, int, int)+298>:	cmovne %rax,%r12
0x0000003fb0ffa9ce <wxWindow::DoSetSize(int, int, int, int, int)+302>:	cmp    $0xffffffffffffffff,%ebp
0x0000003fb0ffa9d1 <wxWindow::DoSetSize(int, int, int, int, int)+305>:	je     0x3fb0ffa9d9 <wxWindow::DoSetSize(int, int, int, int, int)+313>
0x0000003fb0ffa9d3 <wxWindow::DoSetSize(int, int, int, int, int)+307>:	mov    %ebp,0x1bc(%rbx)
0x0000003fb0ffa9d9 <wxWindow::DoSetSize(int, int, int, int, int)+313>:	cmp    $0xffffffffffffffff,%r12d
0x0000003fb0ffa9dd <wxWindow::DoSetSize(int, int, int, int, int)+317>:	je     0x3fb0ffa9e6 <wxWindow::DoSetSize(int, int, int, int, int)+326>
0x0000003fb0ffa9df <wxWindow::DoSetSize(int, int, int, int, int)+319>:	mov    %r12d,0x1c0(%rbx)
0x0000003fb0ffa9e6 <wxWindow::DoSetSize(int, int, int, int, int)+326>:	mov    (%rbx),%rax
0x0000003fb0ffa9e9 <wxWindow::DoSetSize(int, int, int, int, int)+329>:	mov    %rbx,%rdi
0x0000003fb0ffa9ec <wxWindow::DoSetSize(int, int, int, int, int)+332>:	callq  *0x108(%rax)
0x0000003fb0ffa9f2 <wxWindow::DoSetSize(int, int, int, int, int)+338>:	mov    %rax,%rcx
0x0000003fb0ffa9f5 <wxWindow::DoSetSize(int, int, int, int, int)+341>:	mov    (%rbx),%rax
0x0000003fb0ffa9f8 <wxWindow::DoSetSize(int, int, int, int, int)+344>:	mov    %rbx,%rdi
0x0000003fb0ffa9fb <wxWindow::DoSetSize(int, int, int, int, int)+347>:	mov    %ecx,0x8(%rsp)
0x0000003fb0ffa9ff <wxWindow::DoSetSize(int, int, int, int, int)+351>:	mov    %rcx,0x10(%rsp)
0x0000003fb0ffaa04 <wxWindow::DoSetSize(int, int, int, int, int)+356>:	callq  *0x108(%rax)
0x0000003fb0ffaa0a <wxWindow::DoSetSize(int, int, int, int, int)+362>:	mov    %rax,%r15
0x0000003fb0ffaa0d <wxWindow::DoSetSize(int, int, int, int, int)+365>:	mov    (%rbx),%rax
0x0000003fb0ffaa10 <wxWindow::DoSetSize(int, int, int, int, int)+368>:	mov    %rbx,%rdi
0x0000003fb0ffaa13 <wxWindow::DoSetSize(int, int, int, int, int)+371>:	shr    $0x20,%r15
0x0000003fb0ffaa17 <wxWindow::DoSetSize(int, int, int, int, int)+375>:	callq  *0x110(%rax)
0x0000003fb0ffaa1d <wxWindow::DoSetSize(int, int, int, int, int)+381>:	mov    %eax,%r14d
0x0000003fb0ffaa20 <wxWindow::DoSetSize(int, int, int, int, int)+384>:	mov    (%rbx),%rax
0x0000003fb0ffaa23 <wxWindow::DoSetSize(int, int, int, int, int)+387>:	mov    %rbx,%rdi
0x0000003fb0ffaa26 <wxWindow::DoSetSize(int, int, int, int, int)+390>:	callq  *0x110(%rax)
0x0000003fb0ffaa2c <wxWindow::DoSetSize(int, int, int, int, int)+396>:	mov    0x8(%rsp),%edx
0x0000003fb0ffaa30 <wxWindow::DoSetSize(int, int, int, int, int)+400>:	shr    $0x20,%rax
0x0000003fb0ffaa34 <wxWindow::DoSetSize(int, int, int, int, int)+404>:	mov    0x10(%rsp),%rcx
0x0000003fb0ffaa39 <wxWindow::DoSetSize(int, int, int, int, int)+409>:	cmp    $0xffffffffffffffff,%edx
0x0000003fb0ffaa3c <wxWindow::DoSetSize(int, int, int, int, int)+412>:	je     0x3fb0ffaa4a <wxWindow::DoSetSize(int, int, int, int, int)+426>
0x0000003fb0ffaa3e <wxWindow::DoSetSize(int, int, int, int, int)+414>:	cmp    %edx,0x1bc(%rbx)
0x0000003fb0ffaa44 <wxWindow::DoSetSize(int, int, int, int, int)+420>:	jl     0x3fb0ffab90 <wxWindow::DoSetSize(int, int, int, int, int)+752>
0x0000003fb0ffaa4a <wxWindow::DoSetSize(int, int, int, int, int)+426>:	cmp    $0xffffffffffffffff,%r15d
0x0000003fb0ffaa4e <wxWindow::DoSetSize(int, int, int, int, int)+430>:	je     0x3fb0ffaa5d <wxWindow::DoSetSize(int, int, int, int, int)+445>
0x0000003fb0ffaa50 <wxWindow::DoSetSize(int, int, int, int, int)+432>:	cmp    %r15d,0x1c0(%rbx)
0x0000003fb0ffaa57 <wxWindow::DoSetSize(int, int, int, int, int)+439>:	jl     0x3fb0ffabb0 <wxWindow::DoSetSize(int, int, int, int, int)+784>
0x0000003fb0ffaa5d <wxWindow::DoSetSize(int, int, int, int, int)+445>:	cmp    $0xffffffffffffffff,%r14d
0x0000003fb0ffaa61 <wxWindow::DoSetSize(int, int, int, int, int)+449>:	je     0x3fb0ffaa70 <wxWindow::DoSetSize(int, int, int, int, int)+464>
0x0000003fb0ffaa63 <wxWindow::DoSetSize(int, int, int, int, int)+451>:	cmp    %r14d,0x1bc(%rbx)
0x0000003fb0ffaa6a <wxWindow::DoSetSize(int, int, int, int, int)+458>:	jg     0x3fb0ffaba0 <wxWindow::DoSetSize(int, int, int, int, int)+768>
0x0000003fb0ffaa70 <wxWindow::DoSetSize(int, int, int, int, int)+464>:	cmp    $0xffffffffffffffff,%eax
0x0000003fb0ffaa73 <wxWindow::DoSetSize(int, int, int, int, int)+467>:	je     0x3fb0ffaa81 <wxWindow::DoSetSize(int, int, int, int, int)+481>
0x0000003fb0ffaa75 <wxWindow::DoSetSize(int, int, int, int, int)+469>:	cmp    %eax,0x1c0(%rbx)
0x0000003fb0ffaa7b <wxWindow::DoSetSize(int, int, int, int, int)+475>:	jg     0x3fb0ffabc0 <wxWindow::DoSetSize(int, int, int, int, int)+800>
0x0000003fb0ffaa81 <wxWindow::DoSetSize(int, int, int, int, int)+481>:	mov    0x50(%rbx),%rdi
0x0000003fb0ffaa85 <wxWindow::DoSetSize(int, int, int, int, int)+485>:	test   %rdi,%rdi
0x0000003fb0ffaa88 <wxWindow::DoSetSize(int, int, int, int, int)+488>:	jne    0x3fb0ffacf8 <wxWindow::DoSetSize(int, int, int, int, int)+1112>
0x0000003fb0ffaa8e <wxWindow::DoSetSize(int, int, int, int, int)+494>:	cmpq   $0x0,0x1d8(%rdi)
0x0000003fb0ffaa96 <wxWindow::DoSetSize(int, int, int, int, int)+502>:	je     0x3fb0ffad70 <wxWindow::DoSetSize(int, int, int, int, int)+1232>
0x0000003fb0ffaa9c <wxWindow::DoSetSize(int, int, int, int, int)+508>:	callq  0x3fb0fb90e0 <gtk_pizza_get_type@plt>
0x0000003fb0ffaaa1 <wxWindow::DoSetSize(int, int, int, int, int)+513>:	mov    0x50(%rbx),%rdx
0x0000003fb0ffaaa5 <wxWindow::DoSetSize(int, int, int, int, int)+517>:	mov    %rax,%rsi
0x0000003fb0ffaaa8 <wxWindow::DoSetSize(int, int, int, int, int)+520>:	mov    0x1d8(%rdx),%rdi
0x0000003fb0ffaaaf <wxWindow::DoSetSize(int, int, int, int, int)+527>:	callq  0x3fb0fb7f90 <g_type_check_instance_cast@plt>
0x0000003fb0ffaab4 <wxWindow::DoSetSize(int, int, int, int, int)+532>:	and    $0x4,%r13d
0x0000003fb0ffaab8 <wxWindow::DoSetSize(int, int, int, int, int)+536>:	mov    %rax,%rbp
0x0000003fb0ffaabb <wxWindow::DoSetSize(int, int, int, int, int)+539>:	jne    0x3fb0ffad50 <wxWindow::DoSetSize(int, int, int, int, int)+1200>
0x0000003fb0ffaac1 <wxWindow::DoSetSize(int, int, int, int, int)+545>:	cmpl   $0xffffffffffffffff,0x1c(%rsp)
0x0000003fb0ffaac6 <wxWindow::DoSetSize(int, int, int, int, int)+550>:	je     0x3fb0ffaada <wxWindow::DoSetSize(int, int, int, int, int)+570>
0x0000003fb0ffaac8 <wxWindow::DoSetSize(int, int, int, int, int)+552>:	mov    %rax,%rdi
0x0000003fb0ffaacb <wxWindow::DoSetSize(int, int, int, int, int)+555>:	callq  0x3fb0fc18a0 <gtk_pizza_get_xoffset@plt>
0x0000003fb0ffaad0 <wxWindow::DoSetSize(int, int, int, int, int)+560>:	add    0x1c(%rsp),%eax
0x0000003fb0ffaad4 <wxWindow::DoSetSize(int, int, int, int, int)+564>:	mov    %eax,0x1b4(%rbx)
0x0000003fb0ffaada <wxWindow::DoSetSize(int, int, int, int, int)+570>:	cmpl   $0xffffffffffffffff,0x18(%rsp)
0x0000003fb0ffaadf <wxWindow::DoSetSize(int, int, int, int, int)+575>:	je     0x3fb0ffaaf3 <wxWindow::DoSetSize(int, int, int, int, int)+595>
0x0000003fb0ffaae1 <wxWindow::DoSetSize(int, int, int, int, int)+577>:	mov    %rbp,%rdi
0x0000003fb0ffaae4 <wxWindow::DoSetSize(int, int, int, int, int)+580>:	callq  0x3fb0fb9770 <gtk_pizza_get_yoffset@plt>
0x0000003fb0ffaae9 <wxWindow::DoSetSize(int, int, int, int, int)+585>:	add    0x18(%rsp),%eax
0x0000003fb0ffaaed <wxWindow::DoSetSize(int, int, int, int, int)+589>:	mov    %eax,0x1b8(%rbx)
0x0000003fb0ffaaf3 <wxWindow::DoSetSize(int, int, int, int, int)+595>:	callq  0x3fb0fbe840 <gtk_object_get_type@plt>
0x0000003fb0ffaaf8 <wxWindow::DoSetSize(int, int, int, int, int)+600>:	mov    0x1d0(%rbx),%rdi
0x0000003fb0ffaaff <wxWindow::DoSetSize(int, int, int, int, int)+607>:	mov    %rax,%rsi
0x0000003fb0ffab02 <wxWindow::DoSetSize(int, int, int, int, int)+610>:	callq  0x3fb0fb7f90 <g_type_check_instance_cast@plt>
0x0000003fb0ffab07 <wxWindow::DoSetSize(int, int, int, int, int)+615>:	testb  $0x20,0x19(%rax)
0x0000003fb0ffab0b <wxWindow::DoSetSize(int, int, int, int, int)+619>:	jne    0x3fb0ffada0 <wxWindow::DoSetSize(int, int, int, int, int)+1280>
0x0000003fb0ffab11 <wxWindow::DoSetSize(int, int, int, int, int)+625>:	xor    %ecx,%ecx
0x0000003fb0ffab13 <wxWindow::DoSetSize(int, int, int, int, int)+627>:	xor    %r8d,%r8d
0x0000003fb0ffab16 <wxWindow::DoSetSize(int, int, int, int, int)+630>:	xor    %r12d,%r12d
0x0000003fb0ffab19 <wxWindow::DoSetSize(int, int, int, int, int)+633>:	xor    %ebp,%ebp
0x0000003fb0ffab1b <wxWindow::DoSetSize(int, int, int, int, int)+635>:	mov    0x1b8(%rbx),%edx
0x0000003fb0ffab21 <wxWindow::DoSetSize(int, int, int, int, int)+641>:	mov    0x1b4(%rbx),%esi
0x0000003fb0ffab27 <wxWindow::DoSetSize(int, int, int, int, int)+647>:	mov    %rbx,%rdi
0x0000003fb0ffab2a <wxWindow::DoSetSize(int, int, int, int, int)+650>:	mov    (%rbx),%rax
0x0000003fb0ffab2d <wxWindow::DoSetSize(int, int, int, int, int)+653>:	add    0x1bc(%rbx),%ecx
0x0000003fb0ffab33 <wxWindow::DoSetSize(int, int, int, int, int)+659>:	add    0x1c0(%rbx),%r8d
0x0000003fb0ffab3a <wxWindow::DoSetSize(int, int, int, int, int)+666>:	sub    %r12d,%edx
0x0000003fb0ffab3d <wxWindow::DoSetSize(int, int, int, int, int)+669>:	sub    %ebp,%esi
0x0000003fb0ffab3f <wxWindow::DoSetSize(int, int, int, int, int)+671>:	callq  *0x458(%rax)
0x0000003fb0ffab45 <wxWindow::DoSetSize(int, int, int, int, int)+677>:	movzbl 0x212(%rbx),%eax
0x0000003fb0ffab4c <wxWindow::DoSetSize(int, int, int, int, int)+684>:	test   $0x8,%al
0x0000003fb0ffab4e <wxWindow::DoSetSize(int, int, int, int, int)+686>:	jne    0x3fb0ffac70 <wxWindow::DoSetSize(int, int, int, int, int)+976>
0x0000003fb0ffab54 <wxWindow::DoSetSize(int, int, int, int, int)+692>:	test   $0x4,%al
0x0000003fb0ffab56 <wxWindow::DoSetSize(int, int, int, int, int)+694>:	je     0x3fb0ffabd0 <wxWindow::DoSetSize(int, int, int, int, int)+816>
0x0000003fb0ffab58 <wxWindow::DoSetSize(int, int, int, int, int)+696>:	and    $0xffffffffffffffbf,%eax
0x0000003fb0ffab5b <wxWindow::DoSetSize(int, int, int, int, int)+699>:	mov    %al,0x212(%rbx)
0x0000003fb0ffab61 <wxWindow::DoSetSize(int, int, int, int, int)+705>:	jmpq   0x3fb0ffa8e3 <wxWindow::DoSetSize(int, int, int, int, int)+67>
0x0000003fb0ffab66 <wxWindow::DoSetSize(int, int, int, int, int)+710>:	nopw   %cs:0x0(%rax,%rax,1)
0x0000003fb0ffab70 <wxWindow::DoSetSize(int, int, int, int, int)+720>:	test   $0x2,%r13b
0x0000003fb0ffab74 <wxWindow::DoSetSize(int, int, int, int, int)+724>:	je     0x3fb0ffa9ce <wxWindow::DoSetSize(int, int, int, int, int)+302>
0x0000003fb0ffab7a <wxWindow::DoSetSize(int, int, int, int, int)+730>:	cmp    $0xffffffffffffffff,%r12d
0x0000003fb0ffab7e <wxWindow::DoSetSize(int, int, int, int, int)+734>:	jne    0x3fb0ffa9ce <wxWindow::DoSetSize(int, int, int, int, int)+302>
0x0000003fb0ffab84 <wxWindow::DoSetSize(int, int, int, int, int)+740>:	mov    $0x1,%r14d
0x0000003fb0ffab8a <wxWindow::DoSetSize(int, int, int, int, int)+746>:	jmpq   0x3fb0ffa997 <wxWindow::DoSetSize(int, int, int, int, int)+247>
0x0000003fb0ffab8f <wxWindow::DoSetSize(int, int, int, int, int)+751>:	nop
0x0000003fb0ffab90 <wxWindow::DoSetSize(int, int, int, int, int)+752>:	mov    %ecx,0x1bc(%rbx)
0x0000003fb0ffab96 <wxWindow::DoSetSize(int, int, int, int, int)+758>:	jmpq   0x3fb0ffaa4a <wxWindow::DoSetSize(int, int, int, int, int)+426>
0x0000003fb0ffab9b <wxWindow::DoSetSize(int, int, int, int, int)+763>:	nopl   0x0(%rax,%rax,1)
0x0000003fb0ffaba0 <wxWindow::DoSetSize(int, int, int, int, int)+768>:	mov    %r14d,0x1bc(%rbx)
0x0000003fb0ffaba7 <wxWindow::DoSetSize(int, int, int, int, int)+775>:	jmpq   0x3fb0ffaa70 <wxWindow::DoSetSize(int, int, int, int, int)+464>
0x0000003fb0ffabac <wxWindow::DoSetSize(int, int, int, int, int)+780>:	nopl   0x0(%rax)
0x0000003fb0ffabb0 <wxWindow::DoSetSize(int, int, int, int, int)+784>:	mov    %r15d,0x1c0(%rbx)
0x0000003fb0ffabb7 <wxWindow::DoSetSize(int, int, int, int, int)+791>:	jmpq   0x3fb0ffaa5d <wxWindow::DoSetSize(int, int, int, int, int)+445>
0x0000003fb0ffabbc <wxWindow::DoSetSize(int, int, int, int, int)+796>:	nopl   0x0(%rax)
0x0000003fb0ffabc0 <wxWindow::DoSetSize(int, int, int, int, int)+800>:	mov    %eax,0x1c0(%rbx)
0x0000003fb0ffabc6 <wxWindow::DoSetSize(int, int, int, int, int)+806>:	jmpq   0x3fb0ffaa81 <wxWindow::DoSetSize(int, int, int, int, int)+481>
0x0000003fb0ffabcb <wxWindow::DoSetSize(int, int, int, int, int)+811>:	nopl   0x0(%rax,%rax,1)
0x0000003fb0ffabd0 <wxWindow::DoSetSize(int, int, int, int, int)+816>:	mov    0x3f01b1(%rip),%rax        # 0x3fb13ead88
0x0000003fb0ffabd7 <wxWindow::DoSetSize(int, int, int, int, int)+823>:	mov    0x4c(%rbx),%esi
0x0000003fb0ffabda <wxWindow::DoSetSize(int, int, int, int, int)+826>:	lea    0x20(%rsp),%rbp
0x0000003fb0ffabdf <wxWindow::DoSetSize(int, int, int, int, int)+831>:	mov    0x1c0(%rbx),%r14d
0x0000003fb0ffabe6 <wxWindow::DoSetSize(int, int, int, int, int)+838>:	mov    0x1bc(%rbx),%r13d
0x0000003fb0ffabed <wxWindow::DoSetSize(int, int, int, int, int)+845>:	mov    %rbp,%rdi
0x0000003fb0ffabf0 <wxWindow::DoSetSize(int, int, int, int, int)+848>:	mov    (%rax),%edx
0x0000003fb0ffabf2 <wxWindow::DoSetSize(int, int, int, int, int)+850>:	callq  0x3fb0fbe010 <_ZN7wxEventC2Eii@plt>
0x0000003fb0ffabf7 <wxWindow::DoSetSize(int, int, int, int, int)+855>:	mov    0x3f1262(%rip),%r12        # 0x3fb13ebe60
0x0000003fb0ffabfe <wxWindow::DoSetSize(int, int, int, int, int)+862>:	mov    %r14d,0x64(%rsp)
0x0000003fb0ffac03 <wxWindow::DoSetSize(int, int, int, int, int)+867>:	mov    %rbp,%rsi
0x0000003fb0ffac06 <wxWindow::DoSetSize(int, int, int, int, int)+870>:	mov    %r13d,0x60(%rsp)
0x0000003fb0ffac0b <wxWindow::DoSetSize(int, int, int, int, int)+875>:	movl   $0x0,0x68(%rsp)
0x0000003fb0ffac13 <wxWindow::DoSetSize(int, int, int, int, int)+883>:	movl   $0x0,0x6c(%rsp)
0x0000003fb0ffac1b <wxWindow::DoSetSize(int, int, int, int, int)+891>:	movl   $0x0,0x70(%rsp)
0x0000003fb0ffac23 <wxWindow::DoSetSize(int, int, int, int, int)+899>:	lea    0x10(%r12),%rax
0x0000003fb0ffac28 <wxWindow::DoSetSize(int, int, int, int, int)+904>:	movl   $0x0,0x74(%rsp)
0x0000003fb0ffac30 <wxWindow::DoSetSize(int, int, int, int, int)+912>:	mov    %rbx,0x30(%rsp)
0x0000003fb0ffac35 <wxWindow::DoSetSize(int, int, int, int, int)+917>:	mov    %rax,0x20(%rsp)
0x0000003fb0ffac3a <wxWindow::DoSetSize(int, int, int, int, int)+922>:	mov    0xa0(%rbx),%rdi
0x0000003fb0ffac41 <wxWindow::DoSetSize(int, int, int, int, int)+929>:	mov    (%rdi),%rax
0x0000003fb0ffac44 <wxWindow::DoSetSize(int, int, int, int, int)+932>:	callq  *0x28(%rax)
0x0000003fb0ffac47 <wxWindow::DoSetSize(int, int, int, int, int)+935>:	mov    0x3f1eba(%rip),%rax        # 0x3fb13ecb08
0x0000003fb0ffac4e <wxWindow::DoSetSize(int, int, int, int, int)+942>:	mov    %rbp,%rdi
0x0000003fb0ffac51 <wxWindow::DoSetSize(int, int, int, int, int)+945>:	add    $0x10,%rax
0x0000003fb0ffac55 <wxWindow::DoSetSize(int, int, int, int, int)+949>:	mov    %rax,0x20(%rsp)
0x0000003fb0ffac5a <wxWindow::DoSetSize(int, int, int, int, int)+954>:	callq  0x3fb0fc46a0 <_ZN8wxObject5UnRefEv@plt>
0x0000003fb0ffac5f <wxWindow::DoSetSize(int, int, int, int, int)+959>:	movzbl 0x212(%rbx),%eax
0x0000003fb0ffac66 <wxWindow::DoSetSize(int, int, int, int, int)+966>:	jmpq   0x3fb0ffab58 <wxWindow::DoSetSize(int, int, int, int, int)+696>
0x0000003fb0ffac6b <wxWindow::DoSetSize(int, int, int, int, int)+971>:	nopl   0x0(%rax,%rax,1)
0x0000003fb0ffac70 <wxWindow::DoSetSize(int, int, int, int, int)+976>:	mov    (%rbx),%rax
0x0000003fb0ffac73 <wxWindow::DoSetSize(int, int, int, int, int)+979>:	lea    0x1c8(%rbx),%rdx
0x0000003fb0ffac7a <wxWindow::DoSetSize(int, int, int, int, int)+986>:	lea    0x1c4(%rbx),%rsi
0x0000003fb0ffac81 <wxWindow::DoSetSize(int, int, int, int, int)+993>:	mov    %rbx,%rdi
0x0000003fb0ffac84 <wxWindow::DoSetSize(int, int, int, int, int)+996>:	callq  *0x430(%rax)
0x0000003fb0ffac8a <wxWindow::DoSetSize(int, int, int, int, int)+1002>:	movzbl 0x212(%rbx),%eax
0x0000003fb0ffac91 <wxWindow::DoSetSize(int, int, int, int, int)+1009>:	jmpq   0x3fb0ffab54 <wxWindow::DoSetSize(int, int, int, int, int)+692>
0x0000003fb0ffac96 <wxWindow::DoSetSize(int, int, int, int, int)+1014>:	nopw   %cs:0x0(%rax,%rax,1)
0x0000003fb0ffaca0 <wxWindow::DoSetSize(int, int, int, int, int)+1024>:	test   $0x4,%r13b
0x0000003fb0ffaca4 <wxWindow::DoSetSize(int, int, int, int, int)+1028>:	jne    0x3fb0ffa94d <wxWindow::DoSetSize(int, int, int, int, int)+173>
0x0000003fb0ffacaa <wxWindow::DoSetSize(int, int, int, int, int)+1034>:	mov    0x8c(%rsp),%eax
0x0000003fb0ffacb1 <wxWindow::DoSetSize(int, int, int, int, int)+1041>:	mov    %eax,0x1c(%rsp)
0x0000003fb0ffacb5 <wxWindow::DoSetSize(int, int, int, int, int)+1045>:	jmpq   0x3fb0ffa94d <wxWindow::DoSetSize(int, int, int, int, int)+173>
0x0000003fb0ffacba <wxWindow::DoSetSize(int, int, int, int, int)+1050>:	nopw   0x0(%rax,%rax,1)
0x0000003fb0ffacc0 <wxWindow::DoSetSize(int, int, int, int, int)+1056>:	test   $0x4,%r13b
0x0000003fb0ffacc4 <wxWindow::DoSetSize(int, int, int, int, int)+1060>:	jne    0x3fb0ffa958 <wxWindow::DoSetSize(int, int, int, int, int)+184>
0x0000003fb0ffacca <wxWindow::DoSetSize(int, int, int, int, int)+1066>:	mov    0x88(%rsp),%eax
0x0000003fb0ffacd1 <wxWindow::DoSetSize(int, int, int, int, int)+1073>:	mov    %eax,0x18(%rsp)
0x0000003fb0ffacd5 <wxWindow::DoSetSize(int, int, int, int, int)+1077>:	jmpq   0x3fb0ffa958 <wxWindow::DoSetSize(int, int, int, int, int)+184>
0x0000003fb0ffacda <wxWindow::DoSetSize(int, int, int, int, int)+1082>:	nopw   0x0(%rax,%rax,1)
0x0000003fb0fface0 <wxWindow::DoSetSize(int, int, int, int, int)+1088>:	mov    (%rbx),%rax
0x0000003fb0fface3 <wxWindow::DoSetSize(int, int, int, int, int)+1091>:	mov    %rbx,%rdi
0x0000003fb0fface6 <wxWindow::DoSetSize(int, int, int, int, int)+1094>:	callq  *0x438(%rax)
0x0000003fb0ffacec <wxWindow::DoSetSize(int, int, int, int, int)+1100>:	jmpq   0x3fb0ffa9b8 <wxWindow::DoSetSize(int, int, int, int, int)+280>
0x0000003fb0ffacf1 <wxWindow::DoSetSize(int, int, int, int, int)+1105>:	nopl   0x0(%rax)
0x0000003fb0ffacf8 <wxWindow::DoSetSize(int, int, int, int, int)+1112>:	mov    (%rdi),%rax
0x0000003fb0ffacfb <wxWindow::DoSetSize(int, int, int, int, int)+1115>:	callq  *(%rax)
0x0000003fb0ffacfd <wxWindow::DoSetSize(int, int, int, int, int)+1117>:	mov    0x3f2d94(%rip),%rsi        # 0x3fb13eda98
0x0000003fb0ffad04 <wxWindow::DoSetSize(int, int, int, int, int)+1124>:	mov    %rax,%rdi
0x0000003fb0ffad07 <wxWindow::DoSetSize(int, int, int, int, int)+1127>:	callq  0x3fb0fbb590 <_ZNK11wxClassInfo8IsKindOfEPKS_@plt>
0x0000003fb0ffad0c <wxWindow::DoSetSize(int, int, int, int, int)+1132>:	test   %al,%al
0x0000003fb0ffad0e <wxWindow::DoSetSize(int, int, int, int, int)+1134>:	je     0x3fb0ffad40 <wxWindow::DoSetSize(int, int, int, int, int)+1184>
0x0000003fb0ffad10 <wxWindow::DoSetSize(int, int, int, int, int)+1136>:	callq  0x3fb0fc47e0 <gtk_widget_get_type@plt>
0x0000003fb0ffad15 <wxWindow::DoSetSize(int, int, int, int, int)+1141>:	mov    0x1d0(%rbx),%rdi
0x0000003fb0ffad1c <wxWindow::DoSetSize(int, int, int, int, int)+1148>:	mov    %rax,%rsi
0x0000003fb0ffad1f <wxWindow::DoSetSize(int, int, int, int, int)+1151>:	callq  0x3fb0fb7f90 <g_type_check_instance_cast@plt>
0x0000003fb0ffad24 <wxWindow::DoSetSize(int, int, int, int, int)+1156>:	mov    0x1c0(%rbx),%edx
0x0000003fb0ffad2a <wxWindow::DoSetSize(int, int, int, int, int)+1162>:	mov    0x1bc(%rbx),%esi
0x0000003fb0ffad30 <wxWindow::DoSetSize(int, int, int, int, int)+1168>:	mov    %rax,%rdi
0x0000003fb0ffad33 <wxWindow::DoSetSize(int, int, int, int, int)+1171>:	callq  0x3fb0fc4d00 <gtk_widget_set_size_request@plt>
0x0000003fb0ffad38 <wxWindow::DoSetSize(int, int, int, int, int)+1176>:	jmpq   0x3fb0ffab45 <wxWindow::DoSetSize(int, int, int, int, int)+677>
0x0000003fb0ffad3d <wxWindow::DoSetSize(int, int, int, int, int)+1181>:	nopl   (%rax)
0x0000003fb0ffad40 <wxWindow::DoSetSize(int, int, int, int, int)+1184>:	mov    0x50(%rbx),%rdi
0x0000003fb0ffad44 <wxWindow::DoSetSize(int, int, int, int, int)+1188>:	jmpq   0x3fb0ffaa8e <wxWindow::DoSetSize(int, int, int, int, int)+494>
0x0000003fb0ffad49 <wxWindow::DoSetSize(int, int, int, int, int)+1193>:	nopl   0x0(%rax)
0x0000003fb0ffad50 <wxWindow::DoSetSize(int, int, int, int, int)+1200>:	mov    %rax,%rdi
0x0000003fb0ffad53 <wxWindow::DoSetSize(int, int, int, int, int)+1203>:	callq  0x3fb0fc18a0 <gtk_pizza_get_xoffset@plt>
0x0000003fb0ffad58 <wxWindow::DoSetSize(int, int, int, int, int)+1208>:	add    0x1c(%rsp),%eax
0x0000003fb0ffad5c <wxWindow::DoSetSize(int, int, int, int, int)+1212>:	mov    %eax,0x1b4(%rbx)
0x0000003fb0ffad62 <wxWindow::DoSetSize(int, int, int, int, int)+1218>:	jmpq   0x3fb0ffaae1 <wxWindow::DoSetSize(int, int, int, int, int)+577>
0x0000003fb0ffad67 <wxWindow::DoSetSize(int, int, int, int, int)+1223>:	nopw   0x0(%rax,%rax,1)
0x0000003fb0ffad70 <wxWindow::DoSetSize(int, int, int, int, int)+1232>:	mov    0x1c(%rsp),%eax
0x0000003fb0ffad74 <wxWindow::DoSetSize(int, int, int, int, int)+1236>:	mov    %eax,0x1b4(%rbx)
0x0000003fb0ffad7a <wxWindow::DoSetSize(int, int, int, int, int)+1242>:	mov    0x18(%rsp),%eax
0x0000003fb0ffad7e <wxWindow::DoSetSize(int, int, int, int, int)+1246>:	mov    %ebp,0x1bc(%rbx)
0x0000003fb0ffad84 <wxWindow::DoSetSize(int, int, int, int, int)+1252>:	mov    %r12d,0x1c0(%rbx)
0x0000003fb0ffad8b <wxWindow::DoSetSize(int, int, int, int, int)+1259>:	mov    %eax,0x1b8(%rbx)
0x0000003fb0ffad91 <wxWindow::DoSetSize(int, int, int, int, int)+1265>:	jmpq   0x3fb0ffab45 <wxWindow::DoSetSize(int, int, int, int, int)+677>
0x0000003fb0ffad96 <wxWindow::DoSetSize(int, int, int, int, int)+1270>:	nopw   %cs:0x0(%rax,%rax,1)
0x0000003fb0ffada0 <wxWindow::DoSetSize(int, int, int, int, int)+1280>:	movq   $0x0,0x80(%rsp)
0x0000003fb0ffadac <wxWindow::DoSetSize(int, int, int, int, int)+1292>:	mov    0x1d0(%rbx),%rdi
0x0000003fb0ffadb3 <wxWindow::DoSetSize(int, int, int, int, int)+1299>:	lea    0x80(%rsp),%rdx
0x0000003fb0ffadbb <wxWindow::DoSetSize(int, int, int, int, int)+1307>:	lea    0x122bc7(%rip),%rsi        # 0x3fb111d989
0x0000003fb0ffadc2 <wxWindow::DoSetSize(int, int, int, int, int)+1314>:	xor    %ecx,%ecx
0x0000003fb0ffadc4 <wxWindow::DoSetSize(int, int, int, int, int)+1316>:	xor    %eax,%eax
0x0000003fb0ffadc6 <wxWindow::DoSetSize(int, int, int, int, int)+1318>:	callq  0x3fb0fb9410 <gtk_widget_style_get@plt>
0x0000003fb0ffadcb <wxWindow::DoSetSize(int, int, int, int, int)+1323>:	mov    0x80(%rsp),%rdi
0x0000003fb0ffadd3 <wxWindow::DoSetSize(int, int, int, int, int)+1331>:	test   %rdi,%rdi
0x0000003fb0ffadd6 <wxWindow::DoSetSize(int, int, int, int, int)+1334>:	je     0x3fb0ffab11 <wxWindow::DoSetSize(int, int, int, int, int)+625>
0x0000003fb0ffaddc <wxWindow::DoSetSize(int, int, int, int, int)+1340>:	mov    (%rdi),%ebp
0x0000003fb0ffadde <wxWindow::DoSetSize(int, int, int, int, int)+1342>:	mov    0x4(%rdi),%r13d
0x0000003fb0ffade2 <wxWindow::DoSetSize(int, int, int, int, int)+1346>:	mov    0x8(%rdi),%r12d
0x0000003fb0ffade6 <wxWindow::DoSetSize(int, int, int, int, int)+1350>:	mov    0xc(%rdi),%r14d
0x0000003fb0ffadea <wxWindow::DoSetSize(int, int, int, int, int)+1354>:	callq  0x3fb0fc45f0 <gtk_border_free@plt>
0x0000003fb0ffadef <wxWindow::DoSetSize(int, int, int, int, int)+1359>:	lea    0x0(%r13,%rbp,1),%ecx
0x0000003fb0ffadf4 <wxWindow::DoSetSize(int, int, int, int, int)+1364>:	lea    (%r14,%r12,1),%r8d
0x0000003fb0ffadf8 <wxWindow::DoSetSize(int, int, int, int, int)+1368>:	jmpq   0x3fb0ffab1b <wxWindow::DoSetSize(int, int, int, int, int)+635>
0x0000003fb0ffadfd <wxWindow::DoSetSize(int, int, int, int, int)+1373>:	mov    %rax,%rbx
0x0000003fb0ffae00 <wxWindow::DoSetSize(int, int, int, int, int)+1376>:	lea    0x10(%r12),%rax
0x0000003fb0ffae05 <wxWindow::DoSetSize(int, int, int, int, int)+1381>:	mov    %rbp,%rdi
0x0000003fb0ffae08 <wxWindow::DoSetSize(int, int, int, int, int)+1384>:	mov    %rax,0x20(%rsp)
0x0000003fb0ffae0d <wxWindow::DoSetSize(int, int, int, int, int)+1389>:	callq  0x3fb0fba650 <_ZN7wxEventD2Ev@plt>
0x0000003fb0ffae12 <wxWindow::DoSetSize(int, int, int, int, int)+1394>:	mov    %rbx,%rdi
0x0000003fb0ffae15 <wxWindow::DoSetSize(int, int, int, int, int)+1397>:	callq  0x3fb0fbddf0 <_Unwind_Resume@plt>
End of assembler dump.
Debuginfo absent: 12a6ce9d5cb8d7a14e208ac2898f8cb2e2e6db4a
Debuginfo absent: 4902b04dcb8bd968561171882436485490fcb5e4
Debuginfo absent: 504037f1c9864ead33f50eadd2a48b1946c5725b
Debuginfo absent: 8b6731fea2f8d951f4e0ec4dcad4cc31a4329b62
Debuginfo absent: 99b7ec600fd26917214edfb65438e6627142027d
Debuginfo absent: 9a8bb9c0ce0a4caf9a64182cc4a5bfc918549485
Debuginfo absent: c3fc7093c72adfad8aee94ecec6cbff7caf7f8c3
#}}}

Comment 19 Bockeman 2010-06-07 21:41:39 UTC
Results from "Third Try"

You and dbg have correctly identified the problematic call.
What next?

yum install bzr
#bzr is the VCS used by the kicad project
yum install wxGTK-devel
yum info boost-devel
  1.39.0
#NB 1.41.0 already installed on this machine

yum install cmake

mkdir $HOME/tmp
cd $HOME/tmp
bzr branch lp:kicad/stable kicad-stable-bzr
cd kicad-stable-bzr
mkdir build_dir
cd build_dir
cmake ../
make

emacs $HOME/tmp/kicad-stable-bzr/3d-viewer/3d_frame.cpp 
At line 104, add
    printf("Here we go!\n");
just before line
    m_auimgr.Update();
and after this line, add:
    printf("Are we going here?\n");


make
gdb ./pcbnew/pcbnew
#{{{ gdb backtrace
GNU gdb (GDB) Fedora (7.0.1-48.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/bockeman/tmp/kicad-stable-bzr/build_dir/pcbnew/pcbnew...(no debugging symbols found)...done.
(gdb) run
Starting program: /home/bockeman/tmp/kicad-stable-bzr/build_dir/pcbnew/pcbnew 
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffeaf4d710 (LWP 14121)]
Here we go!

Program received signal SIGSEGV, Segmentation fault.
0x0000003fb0ffaa8e in wxWindow::DoSetSize(int, int, int, int, int) () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
Missing separate debuginfos, use: debuginfo-install GConf2-2.28.0-4.fc12.2.x86_64 ORBit2-2.14.17-3.fc12.x86_64 PackageKit-gtk-module-0.5.7-2.fc12.x86_64 SDL-1.2.13-11.fc12.x86_64 atk-1.28.0-1.fc12.x86_64 bzip2-libs-1.0.5-6.fc12.x86_64 cairo-1.8.8-3.fc12.x86_64 dbus-glib-0.82-2.fc12.x86_64 dbus-libs-1.2.16-9.fc12.x86_64 expat-2.0.1-8.fc12.x86_64 flac-1.2.1-6.fc12.x86_64 fontconfig-2.8.0-1.fc12.x86_64 freetype-2.3.11-3.fc12.x86_64 gamin-0.1.10-5.fc12.x86_64 glib2-2.22.5-1.fc12.x86_64 glibc-2.11.2-1.x86_64 gtk2-2.18.9-3.fc12.x86_64 gtk2-engines-2.18.4-4.fc12.x86_64 gtk2-immodule-xim-2.18.9-3.fc12.x86_64 gvfs-1.4.3-7.fc12.x86_64 ibus-gtk-1.3.4-2.fc12.x86_64 ibus-libs-1.3.4-2.fc12.x86_64 libICE-1.0.6-1.fc12.x86_64 libSM-1.1.0-7.fc12.x86_64 libX11-1.3-1.fc12.x86_64 libXau-1.0.5-1.fc12.x86_64 libXcomposite-0.4.1-2.fc12.x86_64 libXcursor-1.1.10-1.fc12.x86_64 libXdamage-1.1.2-1.fc12.x86_64 libXext-1.1-2.fc12.x86_64 libXfixes-4.0.4-1.fc12.x86_64 libXi-1.3-2.fc12.x86_64 libXinerama-1.1-1.fc12.x86_64 libXrandr-1.3.0-5.fc12.x86_64 libXrender-0.9.5-1.fc12.x86_64 libXtst-1.0.99.2-3.fc12.x86_64 libXxf86vm-1.1.0-1.fc12.x86_64 libasyncns-0.8-1.fc12.x86_64 libcanberra-0.22-1.fc12.x86_64 libcanberra-gtk2-0.22-1.fc12.x86_64 libcap-ng-0.6.2-3.fc12.x86_64 libcroco-0.6.2-3.fc12.x86_64 libgcc-4.4.3-4.fc12.x86_64 libgsf-1.14.15-4.fc12.x86_64 libjpeg-6b-46.fc12.x86_64 libogg-1.1.4-2.fc12.x86_64 libpng-1.2.43-1.fc12.x86_64 librsvg2-2.26.0-3.fc12.x86_64 libselinux-2.0.90-5.fc12.x86_64 libsndfile-1.0.20-3.fc12.x86_64 libstdc++-4.4.3-4.fc12.x86_64 libtdb-1.2.1-1.fc12.x86_64 libtiff-3.9.2-3.fc12.x86_64 libtool-ltdl-2.2.6-18.fc12.x86_64 libudev-145-21.fc12.x86_64 libuuid-2.16.2-9.fc12.x86_64 libvorbis-1.2.3-4.fc12.x86_64 libxcb-1.5-1.fc12.x86_64 libxml2-2.7.6-2.fc12.x86_64 mesa-libGLU-7.7-4.fc12.x86_64 pango-1.26.2-1.fc12.x86_64 pixman-0.16.6-1.fc12.x86_64 pulseaudio-libs-0.9.21-5.fc12.x86_64 tcp_wrappers-libs-7.6-56.fc12.x86_64 wxBase-2.8.11-1.fc12.x86_64 wxGTK-2.8.11-1.fc12.x86_64 wxGTK-gl-2.8.11-1.fc12.x86_64 zlib-1.2.3-23.fc12.x86_64
(gdb) bt
#0  0x0000003fb0ffaa8e in wxWindow::DoSetSize(int, int, int, int, int) () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#1  0x0000003fb10c74e6 in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#2  0x0000003fb10c745c in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#3  0x0000003fb10c74e6 in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#4  0x0000003fb10c745c in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#5  0x0000003fb10c74e6 in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#6  0x0000003fb10c74e6 in wxBoxSizer::RecalcSizes() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#7  0x0000003fb10d6050 in wxWindowBase::Layout() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#8  0x0000003fae629f78 in wxAuiManager::DoFrameLayout() () from /usr/lib64/libwx_gtk2u_aui-2.8.so.0
#9  0x0000003fae6312b4 in wxAuiManager::Update() () from /usr/lib64/libwx_gtk2u_aui-2.8.so.0
#10 0x00000000006c8166 in WinEDA3D_DrawFrame::WinEDA3D_DrawFrame(WinEDA_BasePcbFrame*, wxString const&, long) ()
#11 0x00000000005265c1 in WinEDA_PcbFrame::Show3D_Frame(wxCommandEvent&) ()
#12 0x0000003fb02e7ac0 in wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) ()
   from /usr/lib64/libwx_baseu-2.8.so.0
#13 0x0000003fb02e86c4 in wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) () from /usr/lib64/libwx_baseu-2.8.so.0
#14 0x0000003fb02e87a7 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib64/libwx_baseu-2.8.so.0
#15 0x0000003fb02e8730 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib64/libwx_baseu-2.8.so.0
#16 0x0000003fb104c116 in ?? () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#17 0x0000003fa4e0ba8e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#18 0x0000003fa4e20ec3 in ?? () from /lib64/libgobject-2.0.so.0
#19 0x0000003fa4e2225f in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#20 0x0000003fa4e227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#21 0x0000003fa9c7d4fe in gtk_widget_activate () from /usr/lib64/libgtk-x11-2.0.so.0
#22 0x0000003fa9b647bd in gtk_menu_shell_activate_item () from /usr/lib64/libgtk-x11-2.0.so.0
#23 0x0000003fa9b6646a in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#24 0x0000003fa9b53ae3 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#25 0x0000003fa4e0ba8e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#26 0x0000003fa4e20b8d in ?? () from /lib64/libgobject-2.0.so.0
#27 0x0000003fa4e220fa in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#28 0x0000003fa4e227a3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#29 0x0000003fa9c7634f in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#30 0x0000003fa9b4a844 in gtk_propagate_event () from /usr/lib64/libgtk-x11-2.0.so.0
#31 0x0000003fa9b4b983 in gtk_main_do_event () from /usr/lib64/libgtk-x11-2.0.so.0
#32 0x0000003face5feac in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#33 0x0000003fa463923e in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#34 0x0000003fa463cc28 in ?? () from /lib64/libglib-2.0.so.0
#35 0x0000003fa463d075 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#36 0x0000003fa9b4beb7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#37 0x0000003fb0fe7ba8 in wxEventLoop::Run() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#38 0x0000003fb1061a6b in wxAppBase::MainLoop() () from /usr/lib64/libwx_gtk2u_core-2.8.so.0
#39 0x0000003fb0296385 in wxEntry(int&, wchar_t**) () from /usr/lib64/libwx_baseu-2.8.so.0
#40 0x0000000000651c59 in main ()

#}}}

Comment 20 Bockeman 2010-06-07 22:55:12 UTC
I tried to find what in WinEDA3D_DrawFrame (3D_frame.cpp) might be the culprit.
If I comment the m_Canvas creation (thus leaving it NULL), then I get a functioning frame, though obviously no centre pane.

line 82:
    // Make a Pcb3D_GLCanvas
    //m_Canvas = new Pcb3D_GLCanvas( this );

These lines appear redundant:
    m_auimgr.AddPane( m_HToolBar,
      wxAuiPaneInfo( horiz ).Name( wxT( "m_HToolBar" ) ).Top() );
because the pane is added by ReCreateHToolbar();

Also, vert is defined, but never used.

Please could tell me what more directed investigations I could perform.

Comment 21 Alain Portal 2010-06-08 20:57:53 UTC
(In reply to comment #18)
> Results from "Second Try"

Please... Send traces as attached files, not in line.
This bug report become unreadable...

> NB Note the failure to locate the requested debuginfo

Use
debuginfo-install wxBase-2.8.11-1.fc12.x86_64 wxGTK-2.8.11-1.fc12.x86_64 wxGTK-gl-2.8.11-1.fc12.x86_64

Comment 22 Bockeman 2010-06-13 08:56:24 UTC
Created attachment 423602 [details]
gdb backtrace

Comment 23 Bockeman 2010-06-13 09:01:01 UTC
(In reply to comment #21)
> (In reply to comment #18)
> > Results from "Second Try"
> 
> Please... Send traces as attached files, not in line.
> This bug report become unreadable...

Sorry about that.  It took me quite some time to find the "add attachment" button on this web interface.

> 
> > NB Note the failure to locate the requested debuginfo
> 
> Use
> debuginfo-install wxBase-2.8.11-1.fc12.x86_64 wxGTK-2.8.11-1.fc12.x86_64
> wxGTK-gl-2.8.11-1.fc12.x86_64    

Done ok.

In brief, the result is:

Program received signal SIGSEGV, Segmentation fault.
wxWindow::DoSetSize (this=0xf75fc0, x=1, y=25, width=1400, height=928, sizeFlags=4) at src/gtk/window.cpp:2763
2763        if (m_parent->m_wxwindow == NULL) // i.e. wxNotebook

See attachment for rest.

Comment 24 Alex G. 2010-09-01 23:17:33 UTC
Sorry I don't have time to read the whole report, so I don't know if this has been said before. This is an upstream issue.

I can reproduce it on an Intel GMA950 and 9800GT with nouveau.

The 3D viewer is using some OpenGL extensions without checking if their are available or not. I'll check the latest upstream source and see if the problem is fixed, or nudge upstream to do something about it.

Alex

Comment 25 Alex G. 2010-09-02 00:43:39 UTC
Same issue when running over ssh -X. Issue exists in the latest development tree (BZR2470). I'll try to submit a patch to upstream over the next couple of weeks.

BTW, this will not magically solve the issue, as the segfault means your graphics setup is unable to handle the 3D viewer. Instead of crashing, kicad will simply inform you that it cannot run the 3D.

All of this is, of course, is based on my previous assertions, which may be wrong.

Comment 26 Alex G. 2010-09-04 15:53:50 UTC
I guess it seems I've been hijacking the thread, so please accept my apologies.

I've looked over the 3D Viewer source, and I cannot find any culprit there. I was wrong in my previous assertion. If it's not in kicad, then this probably is above my paygrade. :P

Comment 27 Alex G. 2010-09-12 17:42:56 UTC
*** Bug 633064 has been marked as a duplicate of this bug. ***

Comment 28 Bug Zapper 2010-11-03 14:56:44 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 29 Alain Portal 2010-11-05 20:03:04 UTC
*** Bug 625768 has been marked as a duplicate of this bug. ***

Comment 30 Bug Zapper 2010-12-03 14:44:27 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 31 Alex G. 2010-12-03 16:07:47 UTC
Can someone please change the version number to Fedora 14 and reopen the bug?


Note You need to log in before you can comment on or make changes to this bug.